]> granicus.if.org Git - sudo/commitdiff
Removed unneed check for fchown
authorTodd C. Miller <Todd.Miller@courtesan.com>
Wed, 8 Sep 2004 15:49:26 +0000 (15:49 +0000)
committerTodd C. Miller <Todd.Miller@courtesan.com>
Wed, 8 Sep 2004 15:49:26 +0000 (15:49 +0000)
Add check for gettimeofday
Move autoheader template stuff into separate AH_TEMPLATE lines

config.h.in
configure
configure.in

index 6991cab30a83203293f69c935335600ffd6605a0..4d0c77329f6f3bd9a52a2a50f08e9172e030b055 100644 (file)
@@ -3,11 +3,11 @@
 #ifndef _SUDO_CONFIG_H
 #define _SUDO_CONFIG_H
 
-/* Define if the `syslog' function returns a non-zero int to denote failure.
-   */
+/* Define to 1 if the `syslog' function returns a non-zero int to denote
+   failure. */
 #undef BROKEN_SYSLOG
 
-/* Define if you want the insults from the "classic" version sudo. */
+/* Define to 1 if you want the insults from the "classic" version sudo. */
 #undef CLASSIC_INSULTS
 
 /* Define to one of `_getb67', `GETB67', `getb67' for Cray-2 and Cray-YMP
    */
 #undef CRAY_STACKSEG_END
 
-/* Define if you want insults culled from the twisted minds of CSOps. */
+/* Define to 1 if you want insults culled from the twisted minds of CSOps. */
 #undef CSOPS_INSULTS
 
 /* Define to 1 if using `alloca.c'. */
 #undef C_ALLOCA
 
-/* Define if you want sudo to display "command not allowed" instead of
+/* Define to 1 if you want sudo to display "command not allowed" instead of
    "command not found" when a command cannot be found. */
 #undef DONT_LEAK_PATH_INFO
 
 /* A colon-separated list of pathnames to be used as the editor for visudo. */
 #undef EDITOR
 
-/* Define if you want visudo to honor the EDITOR and VISUAL env variables. */
+/* Define to 1 if you want visudo to honor the EDITOR and VISUAL env
+   variables. */
 #undef ENV_EDITOR
 
 /* If defined, users in this group need not enter a passwd (ie "sudo"). */
 #undef EXEMPTGROUP
 
-/* Define if you want to require fully qualified hosts in sudoers. */
+/* Define to 1 if you want to require fully qualified hosts in sudoers. */
 #undef FQDN
 
-/* Define if you want insults from the "Goon Show". */
+/* Define to 1 if you want insults from the "Goon Show". */
 #undef GOONS_INSULTS
 
-/* Define if you want 2001-like insults. */
+/* Define to 1 if you want 2001-like insults. */
 #undef HAL_INSULTS
 
-/* Define if you use AFS. */
+/* Define to 1 if you use AFS. */
 #undef HAVE_AFS
 
 /* Define to 1 if you have `alloca', as a function or macro. */
 /* Define to 1 if you have the `asprintf' function. */
 #undef HAVE_ASPRINTF
 
-/* Define if you use AIX general authentication. */
+/* Define to 1 if you use AIX general authentication. */
 #undef HAVE_AUTHENTICATE
 
 /* Define to 1 if you have the `bigcrypt' function. */
 #undef HAVE_BIGCRYPT
 
-/* Define if you use BSD authentication. */
+/* Define to 1 if you use BSD authentication. */
 #undef HAVE_BSD_AUTH_H
 
 /* Define to 1 if you have the `closefrom' function. */
 #undef HAVE_CLOSEFROM
 
-/* Define if you use OSF DCE. */
+/* Define to 1 if you use OSF DCE. */
 #undef HAVE_DCE
 
 /* Define to 1 if your `DIR' contains dd_fd. */
@@ -78,7 +79,7 @@
    */
 #undef HAVE_DIRENT_H
 
-/* Define if you have the `fnmatch' function or macro. */
+/* Define to 1 if you have the `dirfd' function or macro. */
 #undef HAVE_DIRFD
 
 /* Define to 1 if you have the `dispcrypt' function. */
 /* Define to 1 if you have the <err.h> header file. */
 #undef HAVE_ERR_H
 
-/* Define to 1 if you have the `fchown' function. */
-#undef HAVE_FCHOWN
-
 /* Define to 1 if you have the `flock' function. */
 #undef HAVE_FLOCK
 
-/* Define if you have the `fnmatch' function. */
+/* Define to 1 if you have the `fnmatch' function. */
 #undef HAVE_FNMATCH
 
 /* Define to 1 if you have the `freeifaddrs' function. */
 /* Define to 1 if you have the `futimesat' function. */
 #undef HAVE_FUTIMESAT
 
-/* Define if you use the FWTK authsrv daemon. */
+/* Define to 1 if you use the FWTK authsrv daemon. */
 #undef HAVE_FWTK
 
-/* Define if you have the `getauthuid' function. (ULTRIX 4.x shadow passwords)
-   */
+/* Define to 1 if you have the `getauthuid' function. (ULTRIX 4.x shadow
+   passwords) */
 #undef HAVE_GETAUTHUID
 
 /* Define to 1 if you have the `getcwd' function. */
 /* Define to 1 if you have the `getprogname' function. */
 #undef HAVE_GETPROGNAME
 
-/* Define if you have the `getprpwnam' function. (SecureWare-style shadow
+/* Define to 1 if you have the `getprpwnam' function. (SecureWare-style shadow
    passwords) */
 #undef HAVE_GETPRPWNAM
 
-/* Define if you have the `getpwanam' function. (SunOS 4.x shadow passwords)
-   */
+/* Define to 1 if you have the `getpwanam' function. (SunOS 4.x shadow
+   passwords) */
 #undef HAVE_GETPWANAM
 
-/* Define if you have the `getspnam' function (SVR4-style shadow passwords) */
+/* Define to 1 if you have the `getspnam' function (SVR4-style shadow
+   passwords) */
 #undef HAVE_GETSPNAM
 
-/* Define if you have the `getspwuid' function. (HP-UX <= 9.X shadow
+/* Define to 1 if you have the `getspwuid' function. (HP-UX <= 9.X shadow
    passwords) */
 #undef HAVE_GETSPWUID
 
-/* Define if your Kerberos is Heimdal. */
+/* Define to 1 if you have the `getttimeofday' function. */
+#undef HAVE_GETTTIMEOFDAY
+
+/* Define to 1 if your Kerberos is Heimdal. */
 #undef HAVE_HEIMDAL
 
 /* Define to 1 if you have the `initgroups' function. */
 /* Define if you have isblank(3). */
 #undef HAVE_ISBLANK
 
-/* Define if you have the `iscomsec' function. (HP-UX >= 10.x check for shadow
-   enabled) */
+/* Define to 1 if you have the `iscomsec' function. (HP-UX >= 10.x check for
+   shadow enabled) */
 #undef HAVE_ISCOMSEC
 
-/* Define if you have the `issecure' function. (SunOS 4.x check for shadow
-   enabled) */
+/* Define to 1 if you have the `issecure' function. (SunOS 4.x check for
+   shadow enabled) */
 #undef HAVE_ISSECURE
 
-/* Define if you use Kerberos IV. */
+/* Define to 1 if you use Kerberos IV. */
 #undef HAVE_KERB4
 
-/* Define if you use Kerberos V. */
+/* Define to 1 if you use Kerberos V. */
 #undef HAVE_KERB5
 
 /* Define to 1 if your LDAP needs <lber.h>. (OpenLDAP does not) */
 #undef HAVE_LBER_H
 
-/* Define if you use LDAP. */
+/* Define to 1 if you use LDAP for sudoers. */
 #undef HAVE_LDAP
 
 /* Define to 1 if you have the `ldap_initialize' function. */
 /* Define to 1 if you have the <netgroup.h> header file. */
 #undef HAVE_NETGROUP_H
 
-/* Define if you use NRL OPIE. */
+/* Define to 1 if you use NRL OPIE. */
 #undef HAVE_OPIE
 
-/* Define if you use PAM. */
+/* Define to 1 if you use PAM authentication. */
 #undef HAVE_PAM
 
 /* Define to 1 if you have the <pam/pam_appl.h> header file. */
 /* Define if your struct sockadr has an sa_len field. */
 #undef HAVE_SA_LEN
 
-/* Define if you use SecurID. */
+/* Define to 1 if you use SecurID for authentication. */
 #undef HAVE_SECURID
 
 /* Define to 1 if you have the `seteuid' function. */
 /* Define to 1 if you have the `set_auth_parameters' function. */
 #undef HAVE_SET_AUTH_PARAMETERS
 
-/* Define if you use SIA. */
+/* Define to 1 if you use SIA authentication. */
 #undef HAVE_SIA
 
 /* Define to 1 if you have the `sigaction' function. */
 /* Define to 1 if the system has the type `sig_atomic_t'. */
 #undef HAVE_SIG_ATOMIC_T
 
-/* Define if you use S/Key. */
+/* Define to 1 if you use S/Key. */
 #undef HAVE_SKEY
 
-/* Define if your S/Key library has skeyaccess(). */
+/* Define to 1 if your S/Key library has skeyaccess(). */
 #undef HAVE_SKEYACCESS
 
 /* Define to 1 if you have the `snprintf' function. */
 /* Define to 1 if you have the `strrchr' function. */
 #undef HAVE_STRRCHR
 
-/* Define if your struct stat has an st_mtim member */
+/* Define to 1 if your struct stat has an st_mtim member */
 #undef HAVE_ST_MTIM
 
-/* Define if your struct stat has an st_mtimespec member */
+/* Define to 1 if your struct stat has an st_mtimespec member */
 #undef HAVE_ST_MTIMESPEC
 
 /* Define to 1 if you have the `sysconf' function. */
 /* Define to 1 if you have the <sys/types.h> header file. */
 #undef HAVE_SYS_TYPES_H
 
-/* Define if you have the <termios.h> header file and the `tcgetattr'
+/* Define to 1 if you have the <termios.h> header file and the `tcgetattr'
    function. */
 #undef HAVE_TERMIOS_H
 
 /* Define to 1 if you have the <termio.h> header file. */
 #undef HAVE_TERMIO_H
 
-/* Define to 1 if you have struct timespec in sys/time.h. */
+/* Define to 1 if you have struct timespec in sys/time.h */
 #undef HAVE_TIMESPEC
 
 /* Define to 1 if you have the `tzset' function. */
 /* Define to 1 if you have the `_innetgr' function. */
 #undef HAVE__INNETGR
 
-/* Define if your crt0.o defines the __progname symbol for you. */
+/* Define to 1 if your crt0.o defines the __progname symbol for you. */
 #undef HAVE___PROGNAME
 
-/* Define if you want the hostname to be entered into the log file. */
+/* Define to 1 if you want the hostname to be entered into the log file. */
 #undef HOST_IN_LOG
 
-/* Define if you want to ignore '.' and empty PATH elements */
+/* Define to 1 if you want to ignore '.' and empty PATH elements */
 #undef IGNORE_DOT_PATH
 
 /* The message given when a bad password is entered. */
 /* Define if sizeof(long) == sizeof(long long). */
 #undef LONG_IS_QUAD
 
-/* Define if you want a two line OTP (S/Key or OPIE) prompt. */
+/* Define to 1 if you want a two line OTP (S/Key or OPIE) prompt. */
 #undef LONG_OTP_PROMPT
 
 /* The subject of the mail sent by sudo to the MAILTO user/address. */
    */
 #undef MAX_UID_T_LEN
 
-/* Define if you don't want sudo to prompt for a password by default. */
+/* Define to 1 if you don't want sudo to prompt for a password by default. */
 #undef NO_AUTHENTICATION
 
-/* Define if you don't want users to get the lecture the first they user sudo.
-   */
+/* Define to 1 if you don't want users to get the lecture the first they user
+   sudo. */
 #undef NO_LECTURE
 
 /* Define to avoid runing the mailer as root. */
 #undef NO_ROOT_MAILER
 
-/* Define if root should not be allowed to use sudo. */
+/* Define to 1 if root should not be allowed to use sudo. */
 #undef NO_ROOT_SUDO
 
 /* Define to avoid using POSIX saved ids. */
 /* The passwd prompt timeout (in minutes). */
 #undef PASSWORD_TIMEOUT
 
-/* Define to replace politically incorrect insults with less offensive ones. */
+/* Define to 1 to replace politically incorrect insults with less offensive
+   ones. */
 #undef PC_INSULTS
 
 /* The syslog priority sudo will use for unsuccessful attempts/errors. */
 /* The user sudo should run commands as by default. */
 #undef RUNAS_DEFAULT
 
-/* Define to override the user's path with a built-in one. */
+/* Define to 1 to override the user's path with a built-in one. */
 #undef SECURE_PATH
 
-/* Define to send mail when the user is not allowed to run a command. */
+/* Define to 1 to send mail when the user is not allowed to run a command. */
 #undef SEND_MAIL_WHEN_NOT_OK
 
-/* Define to send mail when the user is not allowed to run sudo on this host.
-   */
+/* Define to 1 to send mail when the user is not allowed to run sudo on this
+   host. */
 #undef SEND_MAIL_WHEN_NO_HOST
 
-/* Define to send mail when the user is not in the sudoers file. */
+/* Define to 1 to send mail when the user is not in the sudoers file. */
 #undef SEND_MAIL_WHEN_NO_USER
 
-/* Define if you want sudo to start a shell if given no arguments. */
+/* Define to 1 if you want sudo to start a shell if given no arguments. */
 #undef SHELL_IF_NO_ARGS
 
-/* Define if you want sudo to set $HOME in shell mode. */
+/* Define to 1 if you want sudo to set $HOME in shell mode. */
 #undef SHELL_SETS_HOME
 
 /* If using the C implementation of alloca, define if you know the
 /* Define to 1 if you have the ANSI C header files. */
 #undef STDC_HEADERS
 
-/* Define if the code in interfaces.c does not compile for you. */
+/* Define to 1 if the code in interfaces.c does not compile for you. */
 #undef STUB_LOAD_INTERFACES
 
 /* The umask that the root-run prog should use. */
 /* The number of tries a user gets to enter their password. */
 #undef TRIES_FOR_PASSWORD
 
-/* Define if you wish to use execv() instead of execvp() when running
+/* Define to 1 if you wish to use execv() instead of execvp() when running
    programs. */
 #undef USE_EXECV
 
-/* Define if you want to insult the user for entering an incorrect password.
-   */
+/* Define to 1 if you want to insult the user for entering an incorrect
+   password. */
 #undef USE_INSULTS
 
-/* Define if you use stow packaging. */
+/* Define to 1 if you use GNU stow packaging. */
 #undef USE_STOW
 
-/* Define if you want a different ticket file for each tty. */
+/* Define to 1 if you want a different ticket file for each tty. */
 #undef USE_TTY_TICKETS
 
 /* Define to "void" if your compiler supports void pointers, else use "char".
index e57ed2681a900f14ffce3f7b44094dea7617439d..5331165f422c4400ab5c5c30a954e7ffc6827d0e 100755 (executable)
--- a/configure
+++ b/configure
@@ -1631,8 +1631,7 @@ if test "${with_otp_only+set}" = set; then
   withval="$with_otp_only"
   case $with_otp_only in
     yes)       with_passwd=no
-
-cat >>confdefs.h <<\_ACEOF
+               cat >>confdefs.h <<\_ACEOF
 #define WITHOUT_PASSWD 1
 _ACEOF
 
@@ -1853,8 +1852,7 @@ if test "${with_skey+set}" = set; then
 echo "$as_me: error: \"cannot use both S/Key and OPIE\"" >&2;}
    { (exit 1); exit 1; }; }
                fi
-
-cat >>confdefs.h <<\_ACEOF
+               cat >>confdefs.h <<\_ACEOF
 #define HAVE_SKEY 1
 _ACEOF
 
@@ -1878,8 +1876,7 @@ if test "${with_opie+set}" = set; then
 echo "$as_me: error: \"cannot use both S/Key and OPIE\"" >&2;}
    { (exit 1); exit 1; }; }
                fi
-
-cat >>confdefs.h <<\_ACEOF
+               cat >>confdefs.h <<\_ACEOF
 #define HAVE_OPIE 1
 _ACEOF
 
@@ -1897,8 +1894,7 @@ fi;
 if test "${with_long_otp_prompt+set}" = set; then
   withval="$with_long_otp_prompt"
   case $with_long_otp_prompt in
-    yes)
-cat >>confdefs.h <<\_ACEOF
+    yes)       cat >>confdefs.h <<\_ACEOF
 #define LONG_OTP_PROMPT 1
 _ACEOF
 
@@ -1923,8 +1919,7 @@ if test "${with_SecurID+set}" = set; then
   withval="$with_SecurID"
   case $with_SecurID in
     no)                with_SecurID="";;
-    *)
-cat >>confdefs.h <<\_ACEOF
+    *)         cat >>confdefs.h <<\_ACEOF
 #define HAVE_SECURID 1
 _ACEOF
 
@@ -1943,8 +1938,7 @@ if test "${with_fwtk+set}" = set; then
   withval="$with_fwtk"
   case $with_fwtk in
     no)                with_fwtk="";;
-    *)
-cat >>confdefs.h <<\_ACEOF
+    *)         cat >>confdefs.h <<\_ACEOF
 #define HAVE_FWTK 1
 _ACEOF
 
@@ -1991,8 +1985,7 @@ fi;
 if test "${with_authenticate+set}" = set; then
   withval="$with_authenticate"
   case $with_authenticate in
-    yes)
-cat >>confdefs.h <<\_ACEOF
+    yes)       cat >>confdefs.h <<\_ACEOF
 #define HAVE_AUTHENTICATE 1
 _ACEOF
 
@@ -2016,8 +2009,7 @@ fi;
 if test "${with_pam+set}" = set; then
   withval="$with_pam"
   case $with_pam in
-    yes)
-cat >>confdefs.h <<\_ACEOF
+    yes)       cat >>confdefs.h <<\_ACEOF
 #define HAVE_PAM 1
 _ACEOF
 
@@ -2041,8 +2033,7 @@ fi;
 if test "${with_AFS+set}" = set; then
   withval="$with_AFS"
   case $with_AFS in
-    yes)
-cat >>confdefs.h <<\_ACEOF
+    yes)       cat >>confdefs.h <<\_ACEOF
 #define HAVE_AFS 1
 _ACEOF
 
@@ -2065,8 +2056,7 @@ fi;
 if test "${with_DCE+set}" = set; then
   withval="$with_DCE"
   case $with_DCE in
-    yes)
-cat >>confdefs.h <<\_ACEOF
+    yes)       cat >>confdefs.h <<\_ACEOF
 #define HAVE_DCE 1
 _ACEOF
 
@@ -2133,8 +2123,7 @@ if test "$lecture" = "once"; then
     echo "$as_me:$LINENO: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 else
-
-cat >>confdefs.h <<\_ACEOF
+    cat >>confdefs.h <<\_ACEOF
 #define NO_LECTURE 1
 _ACEOF
 
@@ -2157,8 +2146,7 @@ echo "$as_me: error: \"must give --with-logging an argument.\"" >&2;}
 echo "$as_me: error: \"--without-logging not supported.\"" >&2;}
    { (exit 1); exit 1; }; }
                ;;
-    syslog)
-cat >>confdefs.h <<\_ACEOF
+    syslog)    cat >>confdefs.h <<\_ACEOF
 #define LOGGING SLOG_SYSLOG
 _ACEOF
 
@@ -2352,8 +2340,7 @@ echo "$as_me: error: \"--with-ignore-dot does not take an argument.\"" >&2;}
 esac
 fi;
 if test "$ignore_dot" = "on"; then
-
-cat >>confdefs.h <<\_ACEOF
+    cat >>confdefs.h <<\_ACEOF
 #define IGNORE_DOT_PATH 1
 _ACEOF
 
@@ -2382,8 +2369,7 @@ echo "$as_me: error: \"--with-mail-if-no-user does not take an argument.\"" >&2;
 esac
 fi;
 if test "$mail_no_user" = "on"; then
-
-cat >>confdefs.h <<\_ACEOF
+    cat >>confdefs.h <<\_ACEOF
 #define SEND_MAIL_WHEN_NO_USER 1
 _ACEOF
 
@@ -2412,8 +2398,7 @@ echo "$as_me: error: \"--with-mail-if-no-host does not take an argument.\"" >&2;
 esac
 fi;
 if test "$mail_no_host" = "on"; then
-
-cat >>confdefs.h <<\_ACEOF
+    cat >>confdefs.h <<\_ACEOF
 #define SEND_MAIL_WHEN_NO_HOST 1
 _ACEOF
 
@@ -2442,8 +2427,7 @@ echo "$as_me: error: \"--with-mail-if-noperms does not take an argument.\"" >&2;
 esac
 fi;
 if test "$mail_noperms" = "on"; then
-
-cat >>confdefs.h <<\_ACEOF
+    cat >>confdefs.h <<\_ACEOF
 #define SEND_MAIL_WHEN_NOT_OK 1
 _ACEOF
 
@@ -2576,8 +2560,7 @@ echo "$as_me: error: \"--with-fqdn does not take an argument.\"" >&2;}
 esac
 fi;
 if test "$fqdn" = "on"; then
-
-cat >>confdefs.h <<\_ACEOF
+    cat >>confdefs.h <<\_ACEOF
 #define FQDN 1
 _ACEOF
 
@@ -2825,8 +2808,7 @@ echo "$as_me: error: \"--with-env-editor does not take an argument.\"" >&2;}
 esac
 fi;
 if test "$env_editor" = "on"; then
-
-cat >>confdefs.h <<\_ACEOF
+    cat >>confdefs.h <<\_ACEOF
 #define ENV_EDITOR 1
 _ACEOF
 
@@ -2926,8 +2908,7 @@ if test "${with_execv+set}" = set; then
 echo $ECHO_N "checking whether to use execvp or execv... $ECHO_C" >&6
                echo "$as_me:$LINENO: result: execv" >&5
 echo "${ECHO_T}execv" >&6
-
-cat >>confdefs.h <<\_ACEOF
+               cat >>confdefs.h <<\_ACEOF
 #define USE_EXECV 1
 _ACEOF
 
@@ -2958,8 +2939,7 @@ echo "$as_me: error: \"--with-tty-tickets does not take an argument.\"" >&2;}
 esac
 fi;
 if test "$tty_tickets" = "on"; then
-
-cat >>confdefs.h <<\_ACEOF
+    cat >>confdefs.h <<\_ACEOF
 #define USE_TTY_TICKETS 1
 _ACEOF
 
@@ -2990,8 +2970,7 @@ echo "$as_me: error: \"--with-insults does not take an argument.\"" >&2;}
 esac
 fi;
 if test "$insults" = "on"; then
-
-cat >>confdefs.h <<\_ACEOF
+    cat >>confdefs.h <<\_ACEOF
 #define USE_INSULTS 1
 _ACEOF
 
@@ -3025,8 +3004,7 @@ fi;
 if test "${with_classic_insults+set}" = set; then
   withval="$with_classic_insults"
   case $with_classic_insults in
-    yes)
-cat >>confdefs.h <<\_ACEOF
+    yes)       cat >>confdefs.h <<\_ACEOF
 #define CLASSIC_INSULTS 1
 _ACEOF
 
@@ -3044,8 +3022,7 @@ fi;
 if test "${with_csops_insults+set}" = set; then
   withval="$with_csops_insults"
   case $with_csops_insults in
-    yes)
-cat >>confdefs.h <<\_ACEOF
+    yes)       cat >>confdefs.h <<\_ACEOF
 #define CSOPS_INSULTS 1
 _ACEOF
 
@@ -3063,8 +3040,7 @@ fi;
 if test "${with_hal_insults+set}" = set; then
   withval="$with_hal_insults"
   case $with_hal_insults in
-    yes)
-cat >>confdefs.h <<\_ACEOF
+    yes)       cat >>confdefs.h <<\_ACEOF
 #define HAL_INSULTS 1
 _ACEOF
 
@@ -3082,8 +3058,7 @@ fi;
 if test "${with_goons_insults+set}" = set; then
   withval="$with_goons_insults"
   case $with_goons_insults in
-    yes)
-cat >>confdefs.h <<\_ACEOF
+    yes)       cat >>confdefs.h <<\_ACEOF
 #define GOONS_INSULTS 1
 _ACEOF
 
@@ -3102,8 +3077,7 @@ if test "${with_ldap+set}" = set; then
   withval="$with_ldap"
   case $with_ldap in
     no)                with_ldap="";;
-    *)
-cat >>confdefs.h <<\_ACEOF
+    *)         cat >>confdefs.h <<\_ACEOF
 #define HAVE_LDAP 1
 _ACEOF
 
@@ -3130,8 +3104,7 @@ fi;
 if test "${with_pc_insults+set}" = set; then
   withval="$with_pc_insults"
   case $with_pc_insults in
-    yes)
-cat >>confdefs.h <<\_ACEOF
+    yes)       cat >>confdefs.h <<\_ACEOF
 #define PC_INSULTS 1
 _ACEOF
 
@@ -3163,8 +3136,7 @@ echo $ECHO_N "checking whether to override the user's path... $ECHO_C" >&6
 if test "${with_secure_path+set}" = set; then
   withval="$with_secure_path"
   case $with_secure_path in
-    yes)
-cat >>confdefs.h <<_ACEOF
+    yes)       cat >>confdefs.h <<_ACEOF
 #define SECURE_PATH "/bin:/usr/ucb:/usr/bin:/usr/sbin:/sbin:/usr/etc:/etc"
 _ACEOF
 
@@ -3197,8 +3169,7 @@ if test "${with_interfaces+set}" = set; then
     yes)       echo "$as_me:$LINENO: result: yes" >&5
 echo "${ECHO_T}yes" >&6
                ;;
-    no)
-cat >>confdefs.h <<\_ACEOF
+    no)                cat >>confdefs.h <<\_ACEOF
 #define STUB_LOAD_INTERFACES 1
 _ACEOF
 
@@ -3224,8 +3195,7 @@ if test "${with_stow+set}" = set; then
   case $with_stow in
     yes)       echo "$as_me:$LINENO: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-
-cat >>confdefs.h <<\_ACEOF
+               cat >>confdefs.h <<\_ACEOF
 #define USE_STOW 1
 _ACEOF
 
@@ -3255,8 +3225,7 @@ echo "${ECHO_T}yes" >&6
                ;;
     no)                echo "$as_me:$LINENO: result: no" >&5
 echo "${ECHO_T}no" >&6
-
-cat >>confdefs.h <<\_ACEOF
+               cat >>confdefs.h <<\_ACEOF
 #define NO_AUTHENTICATION 1
 _ACEOF
 
@@ -3284,8 +3253,7 @@ echo "${ECHO_T}no" >&6
                ;;
     no)                echo "$as_me:$LINENO: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-
-cat >>confdefs.h <<\_ACEOF
+               cat >>confdefs.h <<\_ACEOF
 #define NO_ROOT_MAILER 1
 _ACEOF
 
@@ -3335,8 +3303,7 @@ echo "${ECHO_T}no" >&6
                ;;
     no)                echo "$as_me:$LINENO: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-
-cat >>confdefs.h <<\_ACEOF
+               cat >>confdefs.h <<\_ACEOF
 #define NO_SAVED_IDS 1
 _ACEOF
 
@@ -3387,8 +3354,7 @@ if test "${enable_root_sudo+set}" = set; then
     yes)       echo "$as_me:$LINENO: result: yes" >&5
 echo "${ECHO_T}yes" >&6
                ;;
-    no)
-cat >>confdefs.h <<\_ACEOF
+    no)                cat >>confdefs.h <<\_ACEOF
 #define NO_ROOT_SUDO 1
 _ACEOF
 
@@ -3415,8 +3381,7 @@ if test "${enable_log_host+set}" = set; then
    case "$enableval" in
     yes)       echo "$as_me:$LINENO: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-
-cat >>confdefs.h <<\_ACEOF
+               cat >>confdefs.h <<\_ACEOF
 #define HOST_IN_LOG 1
 _ACEOF
 
@@ -3444,8 +3409,7 @@ if test "${enable_noargs_shell+set}" = set; then
    case "$enableval" in
     yes)       echo "$as_me:$LINENO: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-
-cat >>confdefs.h <<\_ACEOF
+               cat >>confdefs.h <<\_ACEOF
 #define SHELL_IF_NO_ARGS 1
 _ACEOF
 
@@ -3473,8 +3437,7 @@ if test "${enable_shell_sets_home+set}" = set; then
    case "$enableval" in
     yes)       echo "$as_me:$LINENO: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-
-cat >>confdefs.h <<\_ACEOF
+               cat >>confdefs.h <<\_ACEOF
 #define SHELL_SETS_HOME 1
 _ACEOF
 
@@ -3505,8 +3468,7 @@ echo "${ECHO_T}no" >&6
                ;;
     no)                echo "$as_me:$LINENO: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-
-cat >>confdefs.h <<\_ACEOF
+               cat >>confdefs.h <<\_ACEOF
 #define DONT_LEAK_PATH_INFO 1
 _ACEOF
 
@@ -5457,7 +5419,7 @@ ia64-*-hpux*)
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 5460 "configure"' > conftest.$ac_ext
+  echo '#line 5422 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -6618,7 +6580,7 @@ fi
 
 
 # Provide some information about the compiler.
-echo "$as_me:6621:" \
+echo "$as_me:6583:" \
      "checking for Fortran 77 compiler version" >&5
 ac_compiler=`set X $ac_compile; echo $2`
 { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
@@ -7627,11 +7589,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7630: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7592: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:7634: \$? = $ac_status" >&5
+   echo "$as_me:7596: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -7859,11 +7821,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7862: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7824: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:7866: \$? = $ac_status" >&5
+   echo "$as_me:7828: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -7926,11 +7888,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7929: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7891: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:7933: \$? = $ac_status" >&5
+   echo "$as_me:7895: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -9906,7 +9868,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 9909 "configure"
+#line 9871 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -10004,7 +9966,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 10007 "configure"
+#line 9969 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -12140,11 +12102,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12143: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:12105: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:12147: \$? = $ac_status" >&5
+   echo "$as_me:12109: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -12207,11 +12169,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12210: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:12172: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:12214: \$? = $ac_status" >&5
+   echo "$as_me:12176: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -13411,7 +13373,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 13414 "configure"
+#line 13376 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -13509,7 +13471,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 13512 "configure"
+#line 13474 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -14331,11 +14293,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14334: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14296: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:14338: \$? = $ac_status" >&5
+   echo "$as_me:14300: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -14398,11 +14360,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14401: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14363: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:14405: \$? = $ac_status" >&5
+   echo "$as_me:14367: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -16310,11 +16272,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16313: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16275: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:16317: \$? = $ac_status" >&5
+   echo "$as_me:16279: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -16542,11 +16504,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16545: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16507: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:16549: \$? = $ac_status" >&5
+   echo "$as_me:16511: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -16609,11 +16571,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16612: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16574: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:16616: \$? = $ac_status" >&5
+   echo "$as_me:16578: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -18589,7 +18551,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 18592 "configure"
+#line 18554 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -18687,7 +18649,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 18690 "configure"
+#line 18652 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -19948,10 +19910,6 @@ else
 fi
 done
 
-
-
-
-
                    CHECKSHADOW="false"
                fi
                ;;
@@ -20182,8 +20140,7 @@ _ACEOF
                            fi
                        ;;
                        *-*-hpux9.*)
-
-cat >>confdefs.h <<\_ACEOF
+                           cat >>confdefs.h <<\_ACEOF
 #define BROKEN_SYSLOG 1
 _ACEOF
 
@@ -20273,8 +20230,6 @@ _ACEOF
 fi
 done
 
-
-
                                CHECKSHADOW="false"
                            fi
 
@@ -20401,8 +20356,7 @@ fi
 echo "$as_me:$LINENO: result: $ac_cv_lib_sec_iscomsec" >&5
 echo "${ECHO_T}$ac_cv_lib_sec_iscomsec" >&6
 if test $ac_cv_lib_sec_iscomsec = yes; then
-
-cat >>confdefs.h <<\_ACEOF
+  cat >>confdefs.h <<\_ACEOF
 #define HAVE_ISCOMSEC 1
 _ACEOF
 
@@ -20586,8 +20540,7 @@ fi
 echo "$as_me:$LINENO: result: $ac_cv_func_sia_ses_init" >&5
 echo "${ECHO_T}$ac_cv_func_sia_ses_init" >&6
 if test $ac_cv_func_sia_ses_init = yes; then
-
-cat >>confdefs.h <<\_ACEOF
+  cat >>confdefs.h <<\_ACEOF
 #define HAVE_SIA 1
 _ACEOF
 
@@ -20662,8 +20615,7 @@ fi
                fi
 
                if test -n "$SECUREWARE"; then
-
-cat >>confdefs.h <<\_ACEOF
+                   cat >>confdefs.h <<\_ACEOF
 #define HAVE_GETPRPWNAM 1
 _ACEOF
 
@@ -21406,8 +21358,7 @@ fi
 echo "$as_me:$LINENO: result: $ac_cv_lib_auth_getauthuid" >&5
 echo "${ECHO_T}$ac_cv_lib_auth_getauthuid" >&6
 if test $ac_cv_lib_auth_getauthuid = yes; then
-
-cat >>confdefs.h <<\_ACEOF
+  cat >>confdefs.h <<\_ACEOF
 #define HAVE_GETAUTHUID 1
 _ACEOF
  SUDO_LIBS="${SUDO_LIBS} -lauth"; LIBS="${LIBS} -lauth"
@@ -22015,8 +21966,7 @@ fi
 echo "$as_me:$LINENO: result: $ac_cv_lib_gen_getspnam" >&5
 echo "${ECHO_T}$ac_cv_lib_gen_getspnam" >&6
 if test $ac_cv_lib_gen_getspnam = yes; then
-
-cat >>confdefs.h <<\_ACEOF
+  cat >>confdefs.h <<\_ACEOF
 #define HAVE_GETSPNAM 1
 _ACEOF
  SUDO_LIBS="${SUDO_LIBS} -lgen"; LIBS="${LIBS} -lgen"
@@ -23514,8 +23464,7 @@ echo "$as_me:$LINENO: result: $ac_cv_sys_posix_termios" >&5
 echo "${ECHO_T}$ac_cv_sys_posix_termios" >&6
 
     if test "$ac_cv_sys_posix_termios" = "yes"; then
-
-cat >>confdefs.h <<\_ACEOF
+       cat >>confdefs.h <<\_ACEOF
 #define HAVE_TERMIOS_H 1
 _ACEOF
 
@@ -23939,8 +23888,7 @@ echo "${ECHO_T}$ac_cv_header_bsd_auth_h" >&6
 
 fi
 if test $ac_cv_header_bsd_auth_h = yes; then
-
-cat >>confdefs.h <<\_ACEOF
+  cat >>confdefs.h <<\_ACEOF
 #define HAVE_BSD_AUTH_H 1
 _ACEOF
  with_passwd=no; AUTH_OBJS=bsdauth.o
@@ -24103,8 +24051,7 @@ _ACEOF
 
 
 else
-
-cat >>confdefs.h <<\_ACEOF
+  cat >>confdefs.h <<\_ACEOF
 #define sig_atomic_t int
 _ACEOF
 
@@ -24165,7 +24112,6 @@ cat >>confdefs.h <<_ACEOF
 #define HAVE_SIGACTION_T 1
 _ACEOF
 
-
 cat >>confdefs.h <<\_ACEOF
 #define HAVE_SIGACTION_T 1
 _ACEOF
@@ -24223,8 +24169,7 @@ fi
 echo "$as_me:$LINENO: result: $ac_cv_type_struct_timespec" >&5
 echo "${ECHO_T}$ac_cv_type_struct_timespec" >&6
 if test $ac_cv_type_struct_timespec = yes; then
-
-cat >>confdefs.h <<\_ACEOF
+  cat >>confdefs.h <<\_ACEOF
 #define HAVE_TIMESPEC 1
 _ACEOF
 
@@ -24730,9 +24675,8 @@ esac
 
 
 
-
 for ac_func in strchr strrchr memchr memcpy memset sysconf tzset \
-              strftime setrlimit initgroups fstat fchown
+              strftime setrlimit initgroups fstat
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
 echo "$as_me:$LINENO: checking for $ac_func" >&5
@@ -26256,8 +26200,7 @@ fi
 echo "$as_me:$LINENO: result: $sudo_cv_func_fnmatch" >&5
 echo "${ECHO_T}$sudo_cv_func_fnmatch" >&6
 if test $sudo_cv_func_fnmatch = yes; then
-
-cat >>confdefs.h <<\_ACEOF
+  cat >>confdefs.h <<\_ACEOF
 #define HAVE_FNMATCH 1
 _ACEOF
 
 done
 
 
+for ac_func in getttimeofday
+do
+as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
+echo "$as_me:$LINENO: checking for $ac_func" >&5
+echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
+if eval "test \"\${$as_ac_var+set}\" = set"; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+/* System header to define __stub macros and hopefully few prototypes,
+    which can conflict with char $ac_func (); below.
+    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+    <limits.h> exists even on freestanding compilers.  */
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
+/* Override any gcc2 internal prototype to avoid an error.  */
+#ifdef __cplusplus
+extern "C"
+{
+#endif
+/* We use char because int might match the return type of a gcc2
+   builtin and then its argument prototype would still apply.  */
+char $ac_func ();
+/* The GNU C library defines this for functions which it implements
+    to always fail with ENOSYS.  Some functions are actually named
+    something starting with __ and the normal name is an alias.  */
+#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
+choke me
+#else
+char (*f) () = $ac_func;
+#endif
+#ifdef __cplusplus
+}
+#endif
 
+int
+main ()
+{
+return f != $ac_func;
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+         { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  eval "$as_ac_var=yes"
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
 
-
-echo "$as_me:$LINENO: checking for struct stat.st_mtim" >&5
+eval "$as_ac_var=no"
+fi
+rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
+if test `eval echo '${'$as_ac_var'}'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
+_ACEOF
+ echo "$as_me:$LINENO: checking for struct stat.st_mtim" >&5
 echo $ECHO_N "checking for struct stat.st_mtim... $ECHO_C" >&6
 if test "${ac_cv_member_struct_stat_st_mtim+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -26684,6 +26703,9 @@ fi
 
 fi
 
+fi
+done
+
 cat >conftest.$ac_ext <<_ACEOF
 #line $LINENO "configure"
 /* confdefs.h.  */
@@ -26713,8 +26735,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-
-cat >>confdefs.h <<\_ACEOF
+  cat >>confdefs.h <<\_ACEOF
 #define HAVE_DIRFD 1
 _ACEOF
 
@@ -26751,8 +26772,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-
-cat >>confdefs.h <<\_ACEOF
+  cat >>confdefs.h <<\_ACEOF
 #define HAVE_DD_FD 1
 _ACEOF
 
@@ -28315,8 +28335,7 @@ rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
 
     if test "$sudo_cv___progname" = "yes"; then
-
-cat >>confdefs.h <<\_ACEOF
+       cat >>confdefs.h <<\_ACEOF
 #define HAVE___PROGNAME 1
 _ACEOF
 
@@ -28330,8 +28349,7 @@ fi
 done
 
 if test -n "$with_kerb4"; then
-
-cat >>confdefs.h <<\_ACEOF
+    cat >>confdefs.h <<\_ACEOF
 #define HAVE_KERB4 1
 _ACEOF
 
@@ -28911,8 +28929,7 @@ echo "${ECHO_T}no" >&6
 fi
 
     if test -n "$KRB5CONFIG"; then
-
-cat >>confdefs.h <<\_ACEOF
+       cat >>confdefs.h <<\_ACEOF
 #define HAVE_KERB5 1
 _ACEOF
 
@@ -28952,8 +28969,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
 
                echo "$as_me:$LINENO: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-
-cat >>confdefs.h <<\_ACEOF
+               cat >>confdefs.h <<\_ACEOF
 #define HAVE_HEIMDAL 1
 _ACEOF
 
@@ -28968,8 +28984,7 @@ rm -f conftest.$ac_objext conftest.$ac_ext
     fi
 fi
 if test -n "$with_kerb5" -a -z "$KRB5CONFIG"; then
-
-cat >>confdefs.h <<\_ACEOF
+    cat >>confdefs.h <<\_ACEOF
 #define HAVE_KERB5 1
 _ACEOF
 
@@ -29059,8 +29074,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
 
            echo "$as_me:$LINENO: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-
-cat >>confdefs.h <<\_ACEOF
+           cat >>confdefs.h <<\_ACEOF
 #define HAVE_HEIMDAL 1
 _ACEOF
 
@@ -29616,8 +29630,7 @@ fi
 echo "$as_me:$LINENO: result: $ac_cv_lib_skey_skeyaccess" >&5
 echo "${ECHO_T}$ac_cv_lib_skey_skeyaccess" >&6
 if test $ac_cv_lib_skey_skeyaccess = yes; then
-
-cat >>confdefs.h <<\_ACEOF
+  cat >>confdefs.h <<\_ACEOF
 #define HAVE_SKEYACCESS 1
 _ACEOF
 
@@ -30052,8 +30065,7 @@ sed 's/^/| /' conftest.$ac_ext >&5
 
     echo "$as_me:$LINENO: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-
-cat >>confdefs.h <<\_ACEOF
+    cat >>confdefs.h <<\_ACEOF
 #define HAVE_LBER_H 1
 _ACEOF
 
@@ -30232,8 +30244,7 @@ fi
 
 
 if test "$with_passwd" = "no"; then
-
-cat >>confdefs.h <<\_ACEOF
+    cat >>confdefs.h <<\_ACEOF
 #define WITHOUT_PASSWD 1
 _ACEOF
 
 
 
 
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
index d19dbe1bf436203a360a8ffb38d301887c6fcc26..411fc1eafddd182f4bb8f57c8cd282db5b7195d7 100644 (file)
@@ -127,7 +127,7 @@ dnl
 AC_ARG_WITH(otp-only, [  --with-otp-only         deprecated],
 [case $with_otp_only in
     yes)       with_passwd=no
-               AC_DEFINE(WITHOUT_PASSWD, 1, [Define to avoid using the passwd/shadow file for authentication.])
+               AC_DEFINE(WITHOUT_PASSWD)
                AC_MSG_NOTICE([--with-otp-only option deprecated, treating as --without-passwd])
                ;;
 esac])
@@ -170,7 +170,7 @@ AC_ARG_WITH(blibpath, [  --with-blibpath[=PATH]  pass -blibpath flag to ld for a
 esac])
 
 AC_ARG_WITH(incpath, [  --with-incpath          additional places to look for include files],
-[case $with_incpath in  
+[case $with_incpath in
     yes)       AC_MSG_ERROR(["must give --with-incpath an argument."])
                ;;
     no)                AC_MSG_ERROR(["--without-incpath not supported."])
@@ -183,7 +183,7 @@ AC_ARG_WITH(incpath, [  --with-incpath          additional places to look for in
 esac])
 
 AC_ARG_WITH(libpath, [  --with-libpath          additional places to look for libraries],
-[case $with_libpath in  
+[case $with_libpath in
     yes)       AC_MSG_ERROR(["must give --with-libpath an argument."])
                ;;
     no)                AC_MSG_ERROR(["--without-libpath not supported."])
@@ -193,7 +193,7 @@ AC_ARG_WITH(libpath, [  --with-libpath          additional places to look for li
 esac])
 
 AC_ARG_WITH(libraries, [  --with-libraries        additional libraries to link with],
-[case $with_libraries in  
+[case $with_libraries in
     yes)       AC_MSG_ERROR(["must give --with-libraries an argument."])
                ;;
     no)                AC_MSG_ERROR(["--without-libraries not supported."])
@@ -203,7 +203,7 @@ AC_ARG_WITH(libraries, [  --with-libraries        additional libraries to link w
 esac])
 
 AC_ARG_WITH(devel, [  --with-devel            add development options],
-[case $with_devel in  
+[case $with_devel in
     yes)       AC_MSG_NOTICE([Setting up for development: -Wall, flex, yacc])
                PROGS="${PROGS} testsudoers"
                OSDEFS="${OSDEFS} -DSUDO_DEVEL"
@@ -215,7 +215,7 @@ AC_ARG_WITH(devel, [  --with-devel            add development options],
 esac])
 
 AC_ARG_WITH(efence, [  --with-efence           link with -lefence for malloc() debugging],
-[case $with_efence in  
+[case $with_efence in
     yes)       AC_MSG_NOTICE([Sudo will link with -lefence (Electric Fence)])
                LIBS="${LIBS} -lefence"
                if test -f /usr/local/lib/libefence.a; then
@@ -228,7 +228,7 @@ AC_ARG_WITH(efence, [  --with-efence           link with -lefence for malloc() d
 esac])
 
 AC_ARG_WITH(csops, [  --with-csops            add CSOps standard options],
-[case $with_csops in  
+[case $with_csops in
     yes)       AC_MSG_NOTICE([Adding CSOps standard options])
                CHECKSIA=false
                with_ignore_dot=yes
@@ -261,7 +261,7 @@ AC_ARG_WITH(skey, [  --with-skey[=DIR]       enable S/Key support ],
     *)         if test -n "$with_opie"; then
                    AC_MSG_ERROR(["cannot use both S/Key and OPIE"])
                fi
-               AC_DEFINE(HAVE_SKEY, 1, [Define if you use S/Key.])
+               AC_DEFINE(HAVE_SKEY)
                AC_MSG_CHECKING(whether to try S/Key authentication)
                AC_MSG_RESULT(yes)
                AUTH_OBJS="${AUTH_OBJS} rfc1938.o"
@@ -274,7 +274,7 @@ AC_ARG_WITH(opie, [  --with-opie[=DIR]       enable OPIE support ],
     *)         if test -n "$with_skey"; then
                    AC_MSG_ERROR(["cannot use both S/Key and OPIE"])
                fi
-               AC_DEFINE(HAVE_OPIE, 1, [Define if you use NRL OPIE.])
+               AC_DEFINE(HAVE_OPIE)
                AC_MSG_CHECKING(whether to try NRL OPIE authentication)
                AC_MSG_RESULT(yes)
                AUTH_OBJS="${AUTH_OBJS} rfc1938.o"
@@ -283,7 +283,7 @@ esac])
 
 AC_ARG_WITH(long-otp-prompt, [  --with-long-otp-prompt  use a two line OTP (skey/opie) prompt],
 [case $with_long_otp_prompt in
-    yes)       AC_DEFINE(LONG_OTP_PROMPT, 1, [Define if you want a two line OTP (S/Key or OPIE) prompt.])
+    yes)       AC_DEFINE(LONG_OTP_PROMPT)
                AC_MSG_CHECKING(whether to use a two line prompt for OTP authentication)
                AC_MSG_RESULT(yes)
                long_otp_prompt=on
@@ -297,7 +297,7 @@ esac])
 AC_ARG_WITH(SecurID, [  --with-SecurID[[=DIR]]    enable SecurID support],
 [case $with_SecurID in
     no)                with_SecurID="";;
-    *)         AC_DEFINE(HAVE_SECURID, 1, [Define if you use SecurID.])
+    *)         AC_DEFINE(HAVE_SECURID)
                AC_MSG_CHECKING(whether to use SecurID for authentication)
                AC_MSG_RESULT(yes)
                with_passwd=no
@@ -307,7 +307,7 @@ esac])
 AC_ARG_WITH(fwtk, [  --with-fwtk[[=DIR]]       enable FWTK AuthSRV support],
 [case $with_fwtk in
     no)                with_fwtk="";;
-    *)         AC_DEFINE(HAVE_FWTK, 1, [Define if you use the FWTK authsrv daemon.])
+    *)         AC_DEFINE(HAVE_FWTK)
                AC_MSG_CHECKING(whether to use FWTK AuthSRV for authentication)
                AC_MSG_RESULT(yes)
                with_passwd=no
@@ -333,7 +333,7 @@ esac])
 
 AC_ARG_WITH(authenticate, [  --with-authenticate     enable AIX general authentication support],
 [case $with_authenticate in
-    yes)       AC_DEFINE(HAVE_AUTHENTICATE, 1, [Define if you use AIX general authentication.])
+    yes)       AC_DEFINE(HAVE_AUTHENTICATE)
                AC_MSG_CHECKING(whether to use AIX general authentication)
                AC_MSG_RESULT(yes)
                with_passwd=no
@@ -346,7 +346,7 @@ esac])
 
 AC_ARG_WITH(pam, [  --with-pam              enable PAM support],
 [case $with_pam in
-    yes)       AC_DEFINE(HAVE_PAM, 1, [Define if you use PAM.])
+    yes)       AC_DEFINE(HAVE_PAM)
                AC_MSG_CHECKING(whether to use PAM authentication)
                AC_MSG_RESULT(yes)
                with_passwd=no
@@ -359,7 +359,7 @@ esac])
 
 AC_ARG_WITH(AFS, [  --with-AFS              enable AFS support],
 [case $with_AFS in
-    yes)       AC_DEFINE(HAVE_AFS, 1, [Define if you use AFS.])
+    yes)       AC_DEFINE(HAVE_AFS)
                AC_MSG_CHECKING(whether to try AFS (kerberos) authentication)
                AC_MSG_RESULT(yes)
                AUTH_OBJS="${AUTH_OBJS} afs.o"
@@ -371,7 +371,7 @@ esac])
 
 AC_ARG_WITH(DCE, [  --with-DCE              enable DCE support],
 [case $with_DCE in
-    yes)       AC_DEFINE(HAVE_DCE, 1, [Define if you use OSF DCE.])
+    yes)       AC_DEFINE(HAVE_DCE)
                AC_MSG_CHECKING(whether to try DCE (kerberos) authentication)
                AC_MSG_RESULT(yes)
                AUTH_OBJS="${AUTH_OBJS} dce.o"
@@ -399,7 +399,7 @@ esac])
 
 AC_MSG_CHECKING(whether to lecture users the first time they run sudo)
 AC_ARG_WITH(lecture, [  --without-lecture       don't print lecture for first-time sudoer],
-[case $with_lecture in  
+[case $with_lecture in
     yes|short|always)  lecture=once
                ;;
     no|none|never)     lecture=never
@@ -410,18 +410,18 @@ esac])
 if test "$lecture" = "once"; then
     AC_MSG_RESULT(yes)
 else
-    AC_DEFINE(NO_LECTURE, 1, [Define if you don't want users to get the lecture the first they user sudo.])
+    AC_DEFINE(NO_LECTURE)
     AC_MSG_RESULT(no)
 fi
 
 AC_MSG_CHECKING(whether sudo should log via syslog or to a file by default)
 AC_ARG_WITH(logging, [  --with-logging          log via syslog, file, or both],
-[case $with_logging in  
+[case $with_logging in
     yes)       AC_MSG_ERROR(["must give --with-logging an argument."])
                ;;
     no)                AC_MSG_ERROR(["--without-logging not supported."])
                ;;
-    syslog)    AC_DEFINE(LOGGING, SLOG_SYSLOG, [Define to SLOG_SYSLOG, SLOG_FILE, or SLOG_BOTH.])
+    syslog)    AC_DEFINE(LOGGING, SLOG_SYSLOG)
                AC_MSG_RESULT(syslog)
                ;;
     file)      AC_DEFINE(LOGGING, SLOG_FILE)
@@ -436,7 +436,7 @@ esac], [AC_DEFINE(LOGGING, SLOG_SYSLOG) AC_MSG_RESULT(syslog)])
 
 AC_MSG_CHECKING(which syslog facility sudo should log with)
 AC_ARG_WITH(logfac, [  --with-logfac           syslog facility to log with (default is "local2")],
-[case $with_logfac in  
+[case $with_logfac in
     yes)       AC_MSG_ERROR(["must give --with-logfac an argument."])
                ;;
     no)                AC_MSG_ERROR(["--without-logfac not supported."])
@@ -451,7 +451,7 @@ AC_MSG_RESULT($logfac)
 
 AC_MSG_CHECKING(at which syslog priority to log commands)
 AC_ARG_WITH(goodpri, [  --with-goodpri          syslog priority for commands (def is "notice")],
-[case $with_goodpri in  
+[case $with_goodpri in
     yes)       AC_MSG_ERROR(["must give --with-goodpri an argument."])
                ;;
     no)                AC_MSG_ERROR(["--without-goodpri not supported."])
@@ -467,7 +467,7 @@ AC_MSG_RESULT($goodpri)
 
 AC_MSG_CHECKING(at which syslog priority to log failures)
 AC_ARG_WITH(badpri, [  --with-badpri           syslog priority for failures (def is "alert")],
-[case $with_badpri in  
+[case $with_badpri in
     yes)       AC_MSG_ERROR(["must give --with-badpri an argument."])
                ;;
     no)                AC_MSG_ERROR(["--without-badpri not supported."])
@@ -482,7 +482,7 @@ AC_DEFINE_UNQUOTED(PRI_FAILURE, "$badpri", [The syslog priority sudo will use fo
 AC_MSG_RESULT($badpri)
 
 AC_ARG_WITH(logpath, [  --with-logpath          path to the sudo log file],
-[case $with_logpath in  
+[case $with_logpath in
     yes)       AC_MSG_ERROR(["must give --with-logpath an argument."])
                ;;
     no)                AC_MSG_ERROR(["--without-logpath not supported."])
@@ -491,7 +491,7 @@ esac])
 
 AC_MSG_CHECKING(how long a line in the log file should be)
 AC_ARG_WITH(loglen, [  --with-loglen           maximum length of a log file line (default is 80)],
-[case $with_loglen in  
+[case $with_loglen in
     yes)       AC_MSG_ERROR(["must give --with-loglen an argument."])
                ;;
     no)                AC_MSG_ERROR(["--without-loglen not supported."])
@@ -506,7 +506,7 @@ AC_MSG_RESULT($loglen)
 
 AC_MSG_CHECKING(whether sudo should ignore '.' or '' in \$PATH)
 AC_ARG_WITH(ignore-dot, [  --with-ignore-dot       ignore '.' in the PATH],
-[case $with_ignore_dot in  
+[case $with_ignore_dot in
     yes)       ignore_dot=on
                ;;
     no)                ignore_dot=off
@@ -515,7 +515,7 @@ AC_ARG_WITH(ignore-dot, [  --with-ignore-dot       ignore '.' in the PATH],
                ;;
 esac])
 if test "$ignore_dot" = "on"; then
-    AC_DEFINE(IGNORE_DOT_PATH, 1, [Define if you want to ignore '.' and empty PATH elements])
+    AC_DEFINE(IGNORE_DOT_PATH)
     AC_MSG_RESULT(yes)
 else
     AC_MSG_RESULT(no)
@@ -523,7 +523,7 @@ fi
 
 AC_MSG_CHECKING(whether to send mail when a user is not in sudoers)
 AC_ARG_WITH(mail-if-no-user, [  --without-mail-if-no-user do not send mail if user not in sudoers],
-[case $with_mail_if_no_user in  
+[case $with_mail_if_no_user in
     yes)       mail_no_user=on
                ;;
     no)                mail_no_user=off
@@ -532,7 +532,7 @@ AC_ARG_WITH(mail-if-no-user, [  --without-mail-if-no-user do not send mail if us
                ;;
 esac])
 if test "$mail_no_user" = "on"; then
-    AC_DEFINE(SEND_MAIL_WHEN_NO_USER, 1, [Define to send mail when the user is not in the sudoers file.])
+    AC_DEFINE(SEND_MAIL_WHEN_NO_USER)
     AC_MSG_RESULT(yes)
 else
     AC_MSG_RESULT(no)
@@ -540,7 +540,7 @@ fi
 
 AC_MSG_CHECKING(whether to send mail when user listed but not for this host)
 AC_ARG_WITH(mail-if-no-host, [  --with-mail-if-no-host  send mail if user in sudoers but not for this host],
-[case $with_mail_if_no_host in  
+[case $with_mail_if_no_host in
     yes)       mail_no_host=on
                ;;
     no)                mail_no_host=off
@@ -549,7 +549,7 @@ AC_ARG_WITH(mail-if-no-host, [  --with-mail-if-no-host  send mail if user in sud
                ;;
 esac])
 if test "$mail_no_host" = "on"; then
-    AC_DEFINE(SEND_MAIL_WHEN_NO_HOST, 1, [Define to send mail when the user is not allowed to run sudo on this host.])
+    AC_DEFINE(SEND_MAIL_WHEN_NO_HOST)
     AC_MSG_RESULT(yes)
 else
     AC_MSG_RESULT(no)
@@ -557,7 +557,7 @@ fi
 
 AC_MSG_CHECKING(whether to send mail when a user tries a disallowed command)
 AC_ARG_WITH(mail-if-noperms, [  --with-mail-if-noperms  send mail if user not allowed to run command],
-[case $with_mail_if_noperms in  
+[case $with_mail_if_noperms in
     yes)       mail_noperms=on
                ;;
     no)                mail_noperms=off
@@ -566,7 +566,7 @@ AC_ARG_WITH(mail-if-noperms, [  --with-mail-if-noperms  send mail if user not al
                ;;
 esac])
 if test "$mail_noperms" = "on"; then
-    AC_DEFINE(SEND_MAIL_WHEN_NOT_OK, 1, [Define to send mail when the user is not allowed to run a command.])
+    AC_DEFINE(SEND_MAIL_WHEN_NOT_OK)
     AC_MSG_RESULT(yes)
 else
     AC_MSG_RESULT(no)
@@ -574,7 +574,7 @@ fi
 
 AC_MSG_CHECKING(who should get the mail that sudo sends)
 AC_ARG_WITH(mailto, [  --with-mailto           who should get sudo mail (default is "root")],
-[case $with_mailto in  
+[case $with_mailto in
     yes)       AC_MSG_ERROR(["must give --with-mailto an argument."])
                ;;
     no)                AC_MSG_ERROR(["--without-mailto not supported."])
@@ -586,7 +586,7 @@ AC_DEFINE_UNQUOTED(MAILTO, "$mailto", [The user or email address that sudo mail
 AC_MSG_RESULT([$mailto])
 
 AC_ARG_WITH(mailsubject, [  --with-mailsubject      subject of sudo mail],
-[case $with_mailsubject in  
+[case $with_mailsubject in
     yes)       AC_MSG_ERROR(["must give --with-mailsubject an argument."])
                ;;
     no)                AC_MSG_WARN([Sorry, --without-mailsubject not supported.])
@@ -600,7 +600,7 @@ AC_DEFINE_UNQUOTED(MAILSUBJECT, "$mailsub", [The subject of the mail sent by sud
 
 AC_MSG_CHECKING(for bad password prompt)
 AC_ARG_WITH(passprompt, [  --with-passprompt       default password prompt],
-[case $with_passprompt in  
+[case $with_passprompt in
     yes)       AC_MSG_ERROR(["must give --with-passprompt an argument."])
                ;;
     no)                AC_MSG_WARN([Sorry, --without-passprompt not supported.])
@@ -612,7 +612,7 @@ AC_DEFINE_UNQUOTED(PASSPROMPT, "$passprompt", [The default password prompt.])
 
 AC_MSG_CHECKING(for bad password message)
 AC_ARG_WITH(badpass-message, [  --with-badpass-message  message the user sees when the password is wrong],
-[case $with_badpass_message in  
+[case $with_badpass_message in
     yes)       AC_MSG_ERROR(["Must give --with-badpass-message an argument."])
                ;;
     no)                AC_MSG_WARN([Sorry, --without-badpass-message not supported.])
@@ -625,7 +625,7 @@ AC_MSG_RESULT([$badpass_message])
 
 AC_MSG_CHECKING(whether to expect fully qualified hosts in sudoers)
 AC_ARG_WITH(fqdn, [  --with-fqdn             expect fully qualified hosts in sudoers],
-[case $with_fqdn in  
+[case $with_fqdn in
     yes)       fqdn=on
                ;;
     no)                fqdn=off
@@ -634,14 +634,14 @@ AC_ARG_WITH(fqdn, [  --with-fqdn             expect fully qualified hosts in sud
                ;;
 esac])
 if test "$fqdn" = "on"; then
-    AC_DEFINE(FQDN, 1, [Define if you want to require fully qualified hosts in sudoers.])
+    AC_DEFINE(FQDN)
     AC_MSG_RESULT(yes)
 else
     AC_MSG_RESULT(no)
 fi
 
 AC_ARG_WITH(timedir, [  --with-timedir          path to the sudo timestamp dir],
-[case $with_timedir in  
+[case $with_timedir in
     yes)       AC_MSG_ERROR(["must give --with-timedir an argument."])
                ;;
     no)                AC_MSG_ERROR(["--without-timedir not supported."])
@@ -650,7 +650,7 @@ esac])
 
 AC_ARG_WITH(sendmail, [  --with-sendmail=path    set path to sendmail
   --without-sendmail      do not send mail at all],
-[case $with_sendmail in  
+[case $with_sendmail in
     yes)       with_sendmail=""
                ;;
     no)                ;;
@@ -659,7 +659,7 @@ AC_ARG_WITH(sendmail, [  --with-sendmail=path    set path to sendmail
 esac])
 
 AC_ARG_WITH(sudoers-mode, [  --with-sudoers-mode     mode of sudoers file (defaults to 0440)],
-[case $with_sudoers_mode in  
+[case $with_sudoers_mode in
     yes)       AC_MSG_ERROR(["must give --with-sudoers-mode an argument."])
                ;;
     no)                AC_MSG_ERROR(["--without-sudoers-mode not supported."])
@@ -673,7 +673,7 @@ AC_ARG_WITH(sudoers-mode, [  --with-sudoers-mode     mode of sudoers file (defau
 esac])
 
 AC_ARG_WITH(sudoers-uid, [  --with-sudoers-uid      uid that owns sudoers file (defaults to 0)],
-[case $with_sudoers_uid in  
+[case $with_sudoers_uid in
     yes)       AC_MSG_ERROR(["must give --with-sudoers-uid an argument."])
                ;;
     no)                AC_MSG_ERROR(["--without-sudoers-uid not supported."])
@@ -685,7 +685,7 @@ AC_ARG_WITH(sudoers-uid, [  --with-sudoers-uid      uid that owns sudoers file (
 esac])
 
 AC_ARG_WITH(sudoers-gid, [  --with-sudoers-gid      gid that owns sudoers file (defaults to 0)],
-[case $with_sudoers_gid in  
+[case $with_sudoers_gid in
     yes)       AC_MSG_ERROR(["must give --with-sudoers-gid an argument."])
                ;;
     no)                AC_MSG_ERROR(["--without-sudoers-gid not supported."])
@@ -699,7 +699,7 @@ esac])
 AC_MSG_CHECKING(for umask programs should be run with)
 AC_ARG_WITH(umask, [  --with-umask            umask with which the prog should run (default is 022)
   --without-umask         Preserves the umask of the user invoking sudo.],
-[case $with_umask in  
+[case $with_umask in
     yes)       AC_MSG_ERROR(["must give --with-umask an argument."])
                ;;
     no)                sudo_umask=0777
@@ -718,7 +718,7 @@ fi
 
 AC_MSG_CHECKING(for default user to run commands as)
 AC_ARG_WITH(runas-default, [  --with-runas-default    User to run commands as (default is "root")],
-[case $with_runas_default in  
+[case $with_runas_default in
     yes)       AC_MSG_ERROR(["must give --with-runas-default an argument."])
                ;;
     no)                AC_MSG_ERROR(["--without-runas-default not supported."])
@@ -730,7 +730,7 @@ AC_DEFINE_UNQUOTED(RUNAS_DEFAULT, "$runas_default", [The user sudo should run co
 AC_MSG_RESULT([$runas_default])
 
 AC_ARG_WITH(exempt, [  --with-exempt=group     no passwd needed for users in this group],
-[case $with_exempt in  
+[case $with_exempt in
     yes)       AC_MSG_ERROR(["must give --with-exempt an argument."])
                ;;
     no)                AC_MSG_ERROR(["--without-exempt not supported."])
@@ -743,7 +743,7 @@ esac])
 
 AC_MSG_CHECKING(for editor that visudo should use)
 AC_ARG_WITH(editor, [  --with-editor=path      Default editor for visudo (defaults to vi)],
-[case $with_editor in  
+[case $with_editor in
     yes)       AC_MSG_ERROR(["must give --with-editor an argument."])
                ;;
     no)                AC_MSG_ERROR(["--without-editor not supported."])
@@ -755,7 +755,7 @@ esac], [AC_DEFINE(EDITOR, _PATH_VI) AC_MSG_RESULT(vi)])
 
 AC_MSG_CHECKING(whether to obey EDITOR and VISUAL environment variables)
 AC_ARG_WITH(env-editor, [  --with-env-editor       Use the environment variable EDITOR for visudo],
-[case $with_env_editor in  
+[case $with_env_editor in
     yes)       env_editor=on
                ;;
     no)                env_editor=off
@@ -764,7 +764,7 @@ AC_ARG_WITH(env-editor, [  --with-env-editor       Use the environment variable
                ;;
 esac])
 if test "$env_editor" = "on"; then
-    AC_DEFINE(ENV_EDITOR, 1, [Define if you want visudo to honor the EDITOR and VISUAL env variables.])
+    AC_DEFINE(ENV_EDITOR)
     AC_MSG_RESULT(yes)
 else
     AC_MSG_RESULT(no)
@@ -772,7 +772,7 @@ fi
 
 AC_MSG_CHECKING(number of tries a user gets to enter their password)
 AC_ARG_WITH(passwd-tries, [  --with-passwd-tries     number of tries to enter password (default is 3)],
-[case $with_passwd_tries in  
+[case $with_passwd_tries in
     yes)       ;;
     no)                AC_MSG_ERROR(["--without-editor not supported."])
                ;;
@@ -786,7 +786,7 @@ AC_MSG_RESULT($passwd_tries)
 
 AC_MSG_CHECKING(time in minutes after which sudo will ask for a password again)
 AC_ARG_WITH(timeout, [  --with-timeout          minutes before sudo asks for passwd again (def is 5 minutes)],
-[case $with_timeout in  
+[case $with_timeout in
     yes)       ;;
     no)                timeout=0
                ;;
@@ -800,7 +800,7 @@ AC_MSG_RESULT($timeout)
 
 AC_MSG_CHECKING(time in minutes after the password prompt will time out)
 AC_ARG_WITH(password-timeout, [  --with-password-timeout passwd prompt timeout in minutes (default is 5 minutes)],
-[case $with_password_timeout in  
+[case $with_password_timeout in
     yes)       ;;
     no)                password_timeout=0
                ;;
@@ -813,10 +813,10 @@ AC_DEFINE_UNQUOTED(PASSWORD_TIMEOUT, $password_timeout, [The passwd prompt timeo
 AC_MSG_RESULT($password_timeout)
 
 AC_ARG_WITH(execv, [  --with-execv            use execv() instead of execvp()],
-[case $with_execv in  
+[case $with_execv in
     yes)       AC_MSG_CHECKING(whether to use execvp or execv)
                AC_MSG_RESULT(execv)
-               AC_DEFINE(USE_EXECV, 1, [Define if you wish to use execv() instead of execvp() when running programs.])
+               AC_DEFINE(USE_EXECV)
                ;;
     no)                ;;
     *)         AC_MSG_ERROR(["--with-execv does not take an argument."])
@@ -825,7 +825,7 @@ esac])
 
 AC_MSG_CHECKING(whether to use per-tty ticket files)
 AC_ARG_WITH(tty-tickets, [  --with-tty-tickets      use a different ticket file for each tty],
-[case $with_tty_tickets in  
+[case $with_tty_tickets in
     yes)       tty_tickets=on
                ;;
     no)                tty_tickets=off
@@ -834,7 +834,7 @@ AC_ARG_WITH(tty-tickets, [  --with-tty-tickets      use a different ticket file
                ;;
 esac])
 if test "$tty_tickets" = "on"; then
-    AC_DEFINE(USE_TTY_TICKETS, 1, [Define if you want a different ticket file for each tty.])
+    AC_DEFINE(USE_TTY_TICKETS)
     AC_MSG_RESULT(yes)
 else
     AC_MSG_RESULT(no)
@@ -842,7 +842,7 @@ fi
 
 AC_MSG_CHECKING(whether to include insults)
 AC_ARG_WITH(insults, [  --with-insults          insult the user for entering an incorrect password],
-[case $with_insults in  
+[case $with_insults in
     yes)       insults=on
                with_classic_insults=yes
                with_csops_insults=yes
@@ -853,14 +853,14 @@ AC_ARG_WITH(insults, [  --with-insults          insult the user for entering an
                ;;
 esac])
 if test "$insults" = "on"; then
-    AC_DEFINE(USE_INSULTS, 1, [Define if you want to insult the user for entering an incorrect password.])
+    AC_DEFINE(USE_INSULTS)
     AC_MSG_RESULT(yes)
 else
     AC_MSG_RESULT(no)
 fi
 
 AC_ARG_WITH(all-insults, [  --with-all-insults      include all the sudo insult sets],
-[case $with_all_insults in  
+[case $with_all_insults in
     yes)       with_classic_insults=yes
                with_csops_insults=yes
                with_hal_insults=yes
@@ -872,8 +872,8 @@ AC_ARG_WITH(all-insults, [  --with-all-insults      include all the sudo insult
 esac])
 
 AC_ARG_WITH(classic-insults, [  --with-classic-insults  include the insults from the "classic" sudo],
-[case $with_classic_insults in  
-    yes)       AC_DEFINE(CLASSIC_INSULTS, 1, [Define if you want the insults from the "classic" version sudo.])
+[case $with_classic_insults in
+    yes)       AC_DEFINE(CLASSIC_INSULTS)
                ;;
     no)                ;;
     *)         AC_MSG_ERROR(["--with-classic-insults does not take an argument."])
@@ -881,8 +881,8 @@ AC_ARG_WITH(classic-insults, [  --with-classic-insults  include the insults from
 esac])
 
 AC_ARG_WITH(csops-insults, [  --with-csops-insults    include CSOps insults],
-[case $with_csops_insults in  
-    yes)       AC_DEFINE(CSOPS_INSULTS, 1, [Define if you want insults culled from the twisted minds of CSOps.])
+[case $with_csops_insults in
+    yes)       AC_DEFINE(CSOPS_INSULTS)
                ;;
     no)                ;;
     *)         AC_MSG_ERROR(["--with-csops-insults does not take an argument."])
@@ -890,8 +890,8 @@ AC_ARG_WITH(csops-insults, [  --with-csops-insults    include CSOps insults],
 esac])
 
 AC_ARG_WITH(hal-insults, [  --with-hal-insults      include 2001-like insults],
-[case $with_hal_insults in  
-    yes)       AC_DEFINE(HAL_INSULTS, 1, [Define if you want 2001-like insults.])
+[case $with_hal_insults in
+    yes)       AC_DEFINE(HAL_INSULTS)
                ;;
     no)                ;;
     *)         AC_MSG_ERROR(["--with-hal-insults does not take an argument."])
@@ -899,8 +899,8 @@ AC_ARG_WITH(hal-insults, [  --with-hal-insults      include 2001-like insults],
 esac])
 
 AC_ARG_WITH(goons-insults, [  --with-goons-insults    include the insults from the "Goon Show"],
-[case $with_goons_insults in  
-    yes)       AC_DEFINE(GOONS_INSULTS, 1, [Define if you want insults from the "Goon Show".])
+[case $with_goons_insults in
+    yes)       AC_DEFINE(GOONS_INSULTS)
                ;;
     no)                ;;
     *)         AC_MSG_ERROR(["--with-goons-insults does not take an argument."])
@@ -910,7 +910,7 @@ esac])
 AC_ARG_WITH(ldap, [  --with-ldap[[=DIR]]     enable LDAP support],
 [case $with_ldap in
     no)                with_ldap="";;
-    *)         AC_DEFINE(HAVE_LDAP, 1, [Define if you use LDAP.])
+    *)         AC_DEFINE(HAVE_LDAP)
                AC_MSG_CHECKING(whether to use sudoers from LDAP)
                AC_MSG_RESULT(yes)
                ;;
@@ -919,8 +919,8 @@ AC_ARG_WITH(ldap-conf-file, [  --with-ldap-conf-file   path to LDAP configuratio
 [AC_DEFINE_UNQUOTED(_PATH_LDAP_CONF, "$with_ldap_conf_file", [Path to the ldap.conf file])])
 
 AC_ARG_WITH(pc-insults, [  --with-pc-insults       replace politically incorrect insults with less offensive ones],
-[case $with_pc_insults in  
-    yes)       AC_DEFINE(PC_INSULTS, 1, [Define to replace politically incorrect insults with less offensive ones.])
+[case $with_pc_insults in
+    yes)       AC_DEFINE(PC_INSULTS)
                ;;
     no)                ;;
     *)         AC_MSG_ERROR(["--with-pc-insults does not take an argument."])
@@ -940,8 +940,8 @@ fi
 
 AC_MSG_CHECKING(whether to override the user's path)
 AC_ARG_WITH(secure-path, [  --with-secure-path      override the user's path with a built-in one],
-[case $with_secure_path in  
-    yes)       AC_DEFINE_UNQUOTED(SECURE_PATH, "/bin:/usr/ucb:/usr/bin:/usr/sbin:/sbin:/usr/etc:/etc", [Define to override the user's path with a built-in one.])
+[case $with_secure_path in
+    yes)       AC_DEFINE_UNQUOTED(SECURE_PATH, "/bin:/usr/ucb:/usr/bin:/usr/sbin:/sbin:/usr/etc:/etc")
                AC_MSG_RESULT([:/usr/ucb:/usr/bin:/usr/sbin:/sbin:/usr/etc:/etc])
                ;;
     no)                AC_MSG_RESULT(no)
@@ -953,10 +953,10 @@ esac], AC_MSG_RESULT(no))
 
 AC_MSG_CHECKING(whether to get ip addresses from the network interfaces)
 AC_ARG_WITH(interfaces, [  --without-interfaces    don't try to read the ip addr of ether interfaces],
-[case $with_interfaces in  
+[case $with_interfaces in
     yes)       AC_MSG_RESULT(yes)
                ;;
-    no)                AC_DEFINE(STUB_LOAD_INTERFACES, 1, [Define if the code in interfaces.c does not compile for you.])
+    no)                AC_DEFINE(STUB_LOAD_INTERFACES)
                AC_MSG_RESULT(no)
                ;;
     *)         AC_MSG_ERROR(["--with-interfaces does not take an argument."])
@@ -967,7 +967,7 @@ AC_MSG_CHECKING(whether stow should be used)
 AC_ARG_WITH(stow, [  --with-stow             properly handle GNU stow packaging],
 [case $with_stow in
     yes)       AC_MSG_RESULT(yes)
-               AC_DEFINE(USE_STOW, 1, [Define if you use stow packaging.])
+               AC_DEFINE(USE_STOW)
                ;;
     no)                AC_MSG_RESULT(no)
                ;;
@@ -987,7 +987,7 @@ AC_ARG_ENABLE(authentication,
     yes)       AC_MSG_RESULT(yes)
                ;;
     no)                AC_MSG_RESULT(no)
-               AC_DEFINE(NO_AUTHENTICATION, 1, [Define if you don't want sudo to prompt for a password by default.])
+               AC_DEFINE(NO_AUTHENTICATION)
                ;;
     *)         AC_MSG_RESULT(no)
                AC_MSG_WARN([Ignoring unknown argument to --enable-authentication: $enableval])
@@ -1002,7 +1002,7 @@ AC_ARG_ENABLE(root-mailer,
     yes)       AC_MSG_RESULT(no)
                ;;
     no)                AC_MSG_RESULT(yes)
-               AC_DEFINE(NO_ROOT_MAILER, 1, [Define to avoid runing the mailer as root.])
+               AC_DEFINE(NO_ROOT_MAILER)
                ;;
     *)         AC_MSG_RESULT(no)
                AC_MSG_WARN([Ignoring unknown argument to --enable-root-mailer: $enableval])
@@ -1035,7 +1035,7 @@ AC_ARG_ENABLE(saved-ids,
     yes)       AC_MSG_RESULT(no)
                ;;
     no)                AC_MSG_RESULT(yes)
-               AC_DEFINE(NO_SAVED_IDS, 1, [Define to avoid using POSIX saved ids.])
+               AC_DEFINE(NO_SAVED_IDS)
                ;;
     *)         AC_MSG_RESULT(no)
                AC_MSG_WARN([Ignoring unknown argument to --enable-saved-ids: $enableval])
@@ -1061,10 +1061,10 @@ AC_ARG_ENABLE(shadow,
 AC_MSG_CHECKING(whether root should be allowed to use sudo)
 AC_ARG_ENABLE(root-sudo,
 [  --disable-root-sudo     Don't allow root to run sudo],
-[ case "$enableval" in  
+[ case "$enableval" in
     yes)       AC_MSG_RESULT(yes)
                ;;
-    no)                AC_DEFINE(NO_ROOT_SUDO, 1, [Define if root should not be allowed to use sudo.])
+    no)                AC_DEFINE(NO_ROOT_SUDO)
                AC_MSG_RESULT(no)
                root_sudo=off
                ;;
@@ -1078,7 +1078,7 @@ AC_ARG_ENABLE(log-host,
 [  --enable-log-host       Log the hostname in the log file],
 [ case "$enableval" in
     yes)       AC_MSG_RESULT(yes)
-               AC_DEFINE(HOST_IN_LOG, 1, [Define if you want the hostname to be entered into the log file.])
+               AC_DEFINE(HOST_IN_LOG)
                ;;
     no)                AC_MSG_RESULT(no)
                ;;
@@ -1093,7 +1093,7 @@ AC_ARG_ENABLE(noargs-shell,
 [  --enable-noargs-shell   If sudo is given no arguments run a shell],
 [ case "$enableval" in
     yes)       AC_MSG_RESULT(yes)
-               AC_DEFINE(SHELL_IF_NO_ARGS, 1, [Define if you want sudo to start a shell if given no arguments.])
+               AC_DEFINE(SHELL_IF_NO_ARGS)
                ;;
     no)                AC_MSG_RESULT(no)
                ;;
@@ -1109,7 +1109,7 @@ AC_ARG_ENABLE(shell-sets-home,
                           set $HOME to target user in shell mode],
 [ case "$enableval" in
     yes)       AC_MSG_RESULT(yes)
-               AC_DEFINE(SHELL_SETS_HOME, 1, [Define if you want sudo to set $HOME in shell mode.])
+               AC_DEFINE(SHELL_SETS_HOME)
                ;;
     no)                AC_MSG_RESULT(no)
                ;;
@@ -1126,7 +1126,7 @@ AC_ARG_ENABLE(path_info,
     yes)       AC_MSG_RESULT(no)
                ;;
     no)                AC_MSG_RESULT(yes)
-               AC_DEFINE(DONT_LEAK_PATH_INFO, 1, [Define if you want sudo to display "command not allowed" instead of "command not found" when a command cannot be found.])
+               AC_DEFINE(DONT_LEAK_PATH_INFO)
                ;;
     *)         AC_MSG_RESULT(no)
                AC_MSG_WARN([Ignoring unknown argument to --enable-path-info: $enableval])
@@ -1175,7 +1175,7 @@ else
 fi
 AC_MSG_CHECKING(path to sudo_noexec.so)
 AC_ARG_WITH(noexec, [  --with-noexec[=PATH]    fully qualified pathname of sudo_noexec.so],
-[case $with_noexec in  
+[case $with_noexec in
     yes)       with_noexec="$libexecdir/sudo_noexec$_shrext"
                ;;
     no)                ;;
@@ -1243,8 +1243,6 @@ case "$host" in
                # check for password adjunct functions (shadow passwords)
                if test "$CHECKSHADOW" = "true"; then
                    AC_CHECK_FUNCS(getpwanam issecure, , [break])
-                   AH_TEMPLATE([HAVE_GETPWANAM], [Define if you have the `getpwanam' function. (SunOS 4.x shadow passwords)])
-                   AH_TEMPLATE([HAVE_ISSECURE], [Define if you have the `issecure' function. (SunOS 4.x check for shadow enabled)])
                    CHECKSHADOW="false"
                fi
                ;;
@@ -1309,11 +1307,10 @@ case "$host" in
                            fi
                        ;;
                        *-*-hpux9.*)
-                           AC_DEFINE(BROKEN_SYSLOG, 1, [Define if the `syslog' function returns a non-zero int to denote failure.])
+                           AC_DEFINE(BROKEN_SYSLOG)
 
                            if test "$CHECKSHADOW" = "true"; then
                                AC_CHECK_FUNCS(getspwuid)
-                               AH_TEMPLATE([HAVE_GETSPWUID], [Define if you have the `getspwuid' function. (HP-UX <= 9.X shadow passwords)])
                                CHECKSHADOW="false"
                            fi
 
@@ -1327,7 +1324,7 @@ case "$host" in
                        ;;
                        *-*-hpux10.*)
                            if test "$CHECKSHADOW" = "true"; then
-                               AC_CHECK_LIB(sec, getprpwnam, AC_DEFINE(HAVE_GETPRPWNAM) AC_CHECK_LIB(sec, iscomsec, AC_DEFINE(HAVE_ISCOMSEC, 1, [Define if you have the `iscomsec' function. (HP-UX >= 10.x check for shadow enabled)])) [SUDO_LIBS="${SUDO_LIBS} -lsec"; LIBS="${LIBS} -lsec"; SECUREWARE=1])
+                               AC_CHECK_LIB(sec, getprpwnam, AC_DEFINE(HAVE_GETPRPWNAM) AC_CHECK_LIB(sec, iscomsec, AC_DEFINE(HAVE_ISCOMSEC)) [SUDO_LIBS="${SUDO_LIBS} -lsec"; LIBS="${LIBS} -lsec"; SECUREWARE=1])
                                CHECKSHADOW="false"
                            fi
                        ;;
@@ -1361,7 +1358,7 @@ case "$host" in
                # use SIA by default, if we have it, else SecureWare
                # unless overridden on the command line
                if test "$CHECKSIA" = "true"; then
-                   AC_CHECK_FUNC(sia_ses_init, [AC_DEFINE(HAVE_SIA, 1, [Define if you use SIA.])] [
+                   AC_CHECK_FUNC(sia_ses_init, [AC_DEFINE(HAVE_SIA)] [
                    if test -n "$with_skey" -o -n "$with_opie" -o -n "$with_otp_only" -o -n "$with_long_otp_prompt" -o -n "$with_SecurID" -o -n "$with_fwtk" -o -n "$with_kerb4" -o -n "$with_kerb5" -o -n "$with_pam" -o -n "$with_AFS" -o -n "$with_DCE"; then
                        AC_MSG_ERROR(["you cannot mix SIA and other authentication schemes.  You can turn off SIA support via the --disable-sia option"])
                    fi]; CHECKSHADOW=false)
@@ -1372,7 +1369,7 @@ case "$host" in
                fi
 
                if test -n "$SECUREWARE"; then
-                   AC_DEFINE(HAVE_GETPRPWNAM, 1, [Define if you have the `getprpwnam' function.  (SecureWare-style shadow passwords)])
+                   AC_DEFINE(HAVE_GETPRPWNAM)
                    # -ldb includes bogus versions of snprintf/vsnprintf
                    AC_CHECK_FUNCS(snprintf, , [NEED_SNPRINTF=1])
                    AC_CHECK_FUNCS(vsnprintf, , [NEED_SNPRINTF=1])
@@ -1443,7 +1440,7 @@ case "$host" in
     *-*-ultrix*)
                OS="ultrix"
                if test "$CHECKSHADOW" = "true"; then
-                   AC_CHECK_LIB(auth, getauthuid, AC_DEFINE(HAVE_GETAUTHUID, 1, [Define if you have the `getauthuid' function.  (ULTRIX 4.x shadow passwords)]) [SUDO_LIBS="${SUDO_LIBS} -lauth"; LIBS="${LIBS} -lauth"])
+                   AC_CHECK_LIB(auth, getauthuid, AC_DEFINE(HAVE_GETAUTHUID) [SUDO_LIBS="${SUDO_LIBS} -lauth"; LIBS="${LIBS} -lauth"])
                    CHECKSHADOW="false"
                fi
                ;;
@@ -1609,7 +1606,7 @@ dnl Check for shadow password routines if we have not already done so.
 dnl We check for SVR4-style first and then SecureWare-style.
 dnl
 if test "$CHECKSHADOW" = "true"; then
-    AC_CHECK_FUNCS(getspnam, [CHECKSHADOW="false"], [AC_CHECK_LIB(gen, getspnam, AC_DEFINE(HAVE_GETSPNAM, 1, [Define if you have the `getspnam' function (SVR4-style shadow passwords)]) [SUDO_LIBS="${SUDO_LIBS} -lgen"; LIBS="${LIBS} -lgen"])])
+    AC_CHECK_FUNCS(getspnam, [CHECKSHADOW="false"], [AC_CHECK_LIB(gen, getspnam, AC_DEFINE(HAVE_GETSPNAM) [SUDO_LIBS="${SUDO_LIBS} -lgen"; LIBS="${LIBS} -lgen"])])
 fi
 if test "$CHECKSHADOW" = "true"; then
     AC_CHECK_FUNC(getprpwnam, [AC_DEFINE(HAVE_GETPRPWNAM) [CHECKSHADOW="false"; SECUREWARE=1], AC_CHECK_LIB(sec, getprpwnam, AC_DEFINE(HAVE_GETPRPWNAM) [CHECKSHADOW="false"; SECUREWARE=1; SUDO_LIBS="${SUDO_LIBS} -lsec"; LIBS="${LIBS} -lsec"], AC_CHECK_LIB(security, getprpwnam, AC_DEFINE(HAVE_GETPRPWNAM) [CHECKSHADOW="false"; SECUREWARE=1; SUDO_LIBS="${SUDO_LIBS} -lsecurity"; LIBS="${LIBS} -lsecurity"], AC_CHECK_LIB(prot, getprpwnam, AC_DEFINE(HAVE_GETPRPWNAM) [CHECKSHADOW="false"; SECUREWARE=1; SUDO_LIBS="${SUDO_LIBS} -lprot"; LIBS="${LIBS} -lprot"])))])
@@ -1644,7 +1641,7 @@ dnl ultrix termio/termios are broken
 if test "$OS" != "ultrix"; then
     AC_SYS_POSIX_TERMIOS
     if test "$ac_cv_sys_posix_termios" = "yes"; then
-       AC_DEFINE(HAVE_TERMIOS_H, 1, [Define if you have the <termios.h> header file and the `tcgetattr' function.])
+       AC_DEFINE(HAVE_TERMIOS_H)
     else
        AC_CHECK_HEADERS(termio.h)
     fi
@@ -1653,18 +1650,18 @@ if test "$with_logincap" = "yes"; then
     AC_CHECK_HEADERS(login_cap.h)
 fi
 if test "$with_bsdauth" = "yes"; then
-    AC_CHECK_HEADER(bsd_auth.h, AC_DEFINE(HAVE_BSD_AUTH_H, 1, [Define if you use BSD authentication.]) [with_passwd=no; AUTH_OBJS=bsdauth.o], -)
+    AC_CHECK_HEADER(bsd_auth.h, AC_DEFINE(HAVE_BSD_AUTH_H) [with_passwd=no; AUTH_OBJS=bsdauth.o], -)
 fi
 dnl
 dnl typedef checks
 dnl
 AC_TYPE_MODE_T
 AC_TYPE_UID_T
-AC_CHECK_TYPES([sig_atomic_t], , [AC_DEFINE(sig_atomic_t, int, [Define to `int' if <signal.h> does not define.])], [#include <sys/types.h>
+AC_CHECK_TYPES([sig_atomic_t], , [AC_DEFINE(sig_atomic_t, int)], [#include <sys/types.h>
 #include <signal.h>])
-AC_CHECK_TYPES([sigaction_t], [AC_DEFINE(HAVE_SIGACTION_T, 1, [Define to 1 if <signal.h> has the sigaction_t typedef.])], ,[#include <sys/types.h>
+AC_CHECK_TYPES([sigaction_t], [AC_DEFINE(HAVE_SIGACTION_T)], ,[#include <sys/types.h>
 #include <signal.h>])
-AC_CHECK_TYPE([struct timespec], [AC_DEFINE(HAVE_TIMESPEC, 1, [Define to 1 if you have struct timespec in sys/time.h])], , [#include <sys/types.h>
+AC_CHECK_TYPE([struct timespec], [AC_DEFINE(HAVE_TIMESPEC)], , [#include <sys/types.h>
 #include <sys/time.h>
 #include <time.h>])
 SUDO_TYPE_SIZE_T
@@ -1686,7 +1683,7 @@ dnl
 dnl Function checks
 dnl
 AC_CHECK_FUNCS(strchr strrchr memchr memcpy memset sysconf tzset \
-              strftime setrlimit initgroups fstat fchown)
+              strftime setrlimit initgroups fstat)
 AC_CHECK_FUNCS(seteuid, , [AC_DEFINE(NO_SAVED_IDS)])
 if test -z "$SKIP_SETRESUID"; then
     AC_CHECK_FUNCS(setresuid, [SKIP_SETREUID=yes])
@@ -1708,20 +1705,17 @@ AC_CHECK_FUNCS(waitpid wait3, [break])
 AC_CHECK_FUNCS(innetgr _innetgr, [AC_CHECK_FUNCS(getdomainname) [break]])
 AC_CHECK_FUNCS(lsearch, , [AC_CHECK_LIB(compat, lsearch, AC_CHECK_HEADER(search.h, AC_DEFINE(HAVE_LSEARCH) [LIBS="${LIBS} -lcompat"], AC_LIBOBJ(lsearch), -), AC_LIBOBJ(lsearch))])
 AC_CHECK_FUNCS(utimes, [AC_CHECK_FUNCS(futimes futimesat, [break])], [AC_CHECK_FUNCS(futime) AC_LIBOBJ(utimes)])
-SUDO_FUNC_FNMATCH(AC_DEFINE(HAVE_FNMATCH, 1, [Define if you have the `fnmatch' function.]), AC_LIBOBJ(fnmatch))
+SUDO_FUNC_FNMATCH(AC_DEFINE(HAVE_FNMATCH), AC_LIBOBJ(fnmatch))
 SUDO_FUNC_ISBLANK
 AC_REPLACE_FUNCS(strerror strcasecmp sigaction strlcpy strlcat closefrom)
 AC_CHECK_FUNCS(snprintf vsnprintf asprintf vasprintf, , [NEED_SNPRINTF=1])
-AH_TEMPLATE(HAVE_ST_MTIM, [Define if your struct stat has an st_mtim member])
-AH_TEMPLATE(HAVE_ST_MTIMESPEC, [Define if your struct stat has an st_mtimespec member])
-AC_CHECK_MEMBER([struct stat.st_mtim], AC_DEFINE(HAVE_ST_MTIM), [AC_CHECK_MEMBER([struct stat.st_mtimespec], AC_DEFINE([HAVE_ST_MTIMESPEC]))])
+AC_CHECK_FUNCS(getttimeofday, [AC_CHECK_MEMBER([struct stat.st_mtim], AC_DEFINE(HAVE_ST_MTIM), [AC_CHECK_MEMBER([struct stat.st_mtimespec], AC_DEFINE([HAVE_ST_MTIMESPEC]))])])
 dnl
 dnl Check for the dirfd function/macro.  If not found, look for dd_fd in DIR.
 dnl
 AC_TRY_LINK([#include <sys/types.h>
-#include <$ac_header_dirent>], [DIR d; (void)dirfd(&d);], [AC_DEFINE(HAVE_DIRFD, 1, [Define if you have the `fnmatch' function or macro.])], [AC_TRY_LINK([#include <sys/types.h>
-#include <$ac_header_dirent>], [DIR d; (void)&d.dd_fd;], [AC_DEFINE(HAVE_DD_FD,
- 1, [Define to 1 if your `DIR' contains dd_fd.])], [])])
+#include <$ac_header_dirent>], [DIR d; (void)dirfd(&d);], [AC_DEFINE(HAVE_DIRFD)], [AC_TRY_LINK([#include <sys/types.h>
+#include <$ac_header_dirent>], [DIR d; (void)&d.dd_fd;], [AC_DEFINE(HAVE_DD_FD)], [])])
 dnl
 dnl If NEED_SNPRINTF is set, add snprintf.c to LIBOBJS
 dnl (it contains snprintf, vsnprintf, asprintf, and vasprintf)
@@ -1768,7 +1762,7 @@ AC_CHECK_FUNCS(getprogname, , [
     AC_TRY_LINK(, [extern char *__progname; (void)puts(__progname);],
     [sudo_cv___progname=yes], [sudo_cv___progname=no])])
     if test "$sudo_cv___progname" = "yes"; then
-       AC_DEFINE(HAVE___PROGNAME, 1, [Define if your crt0.o defines the __progname symbol for you.])
+       AC_DEFINE(HAVE___PROGNAME)
     else
        AC_LIBOBJ(getprogname)
     fi
@@ -1778,7 +1772,7 @@ dnl
 dnl Kerberos IV
 dnl
 if test -n "$with_kerb4"; then
-    AC_DEFINE(HAVE_KERB4, 1, [Define if you use Kerberos IV.])
+    AC_DEFINE(HAVE_KERB4)
     dnl
     dnl Use the specified directory, if any, else search for correct inc dir
     dnl
@@ -1841,7 +1835,7 @@ dnl
 if test "$with_kerb5" = "yes"; then
     AC_CHECK_PROG(KRB5CONFIG, krb5-config, yes, "")
     if test -n "$KRB5CONFIG"; then
-       AC_DEFINE(HAVE_KERB5, 1, [Define if you use Kerberos V.])
+       AC_DEFINE(HAVE_KERB5)
        AUTH_OBJS="${AUTH_OBJS} kerb5.o"
        CPPFLAGS="$CPPFLAGS `krb5-config --cflags`"
        SUDO_LIBS="$SUDO_LIBS `krb5-config --libs`"
@@ -1852,13 +1846,13 @@ if test "$with_kerb5" = "yes"; then
        AC_TRY_COMPILE([#include <krb5.h>], [const char *tmp = heimdal_version;],
            [
                AC_MSG_RESULT(yes)
-               AC_DEFINE(HAVE_HEIMDAL, 1, [Define if your Kerberos is Heimdal.])
+               AC_DEFINE(HAVE_HEIMDAL)
            ]
        )
     fi
 fi
 if test -n "$with_kerb5" -a -z "$KRB5CONFIG"; then
-    AC_DEFINE(HAVE_KERB5, 1, [Define if you use Kerberos V.])
+    AC_DEFINE(HAVE_KERB5)
     dnl
     dnl Use the specified directory, if any, else search for correct inc dir
     dnl
@@ -1886,7 +1880,7 @@ if test -n "$with_kerb5" -a -z "$KRB5CONFIG"; then
     AC_TRY_COMPILE([#include <krb5.h>], [const char *tmp = heimdal_version;],
        [
            AC_MSG_RESULT(yes)
-           AC_DEFINE(HAVE_HEIMDAL, 1, [Define if your Kerberos is Heimdal.])
+           AC_DEFINE(HAVE_HEIMDAL)
            SUDO_LIBS="${SUDO_LIBS} -lkrb5 -ldes -lcom_err -lasn1"
            AC_CHECK_LIB(roken, main, [SUDO_LIBS="${SUDO_LIBS} -lroken"])
        ], [
@@ -1994,7 +1988,7 @@ if test -n "$with_skey"; then
        AC_MSG_WARN([Unable to locate skey.h, you will have to edit the Makefile and add -I/path/to/skey/includes to CPPFLAGS])
     fi
     AC_CHECK_LIB(skey, main, [found=yes], [AC_MSG_WARN([Unable to locate libskey.a, you will have to edit the Makefile and add -L/path/to/skey/lib to SUDO_LDFLAGS])])
-    AC_CHECK_LIB(skey, skeyaccess, AC_DEFINE(HAVE_SKEYACCESS, 1, [Define if your S/Key library has skeyaccess().]))
+    AC_CHECK_LIB(skey, skeyaccess, AC_DEFINE(HAVE_SKEYACCESS))
     LDFLAGS="$O_LDFLAGS"
     SUDO_LIBS="${SUDO_LIBS} -lskey"
 fi
@@ -2121,7 +2115,7 @@ if test -n "$with_ldap"; then
     AC_TRY_LINK([#include <sys/types.h>
     #include <ldap.h>], [(void)ldap_init(0, 0)], [AC_MSG_RESULT([no])], [
     AC_MSG_RESULT([yes])
-    AC_DEFINE(HAVE_LBER_H, 1, [Define to 1 if your LDAP needs <lber.h>. (OpenLDAP does not)])])
+    AC_DEFINE(HAVE_LBER_H)])
 
     AC_CHECK_FUNCS(ldap_initialize ldap_start_tls_s)
 
@@ -2152,7 +2146,7 @@ dnl
 dnl Use passwd (and secureware) auth modules?
 dnl
 if test "$with_passwd" = "no"; then
-    AC_DEFINE(WITHOUT_PASSWD, 1, [Define to avoid using the passwd/shadow file for authentication.])
+    AC_DEFINE(WITHOUT_PASSWD)
     if test -z "$AUTH_OBJS"; then
        AC_MSG_ERROR([no authentication methods defined.])
     fi
@@ -2188,7 +2182,7 @@ dnl
 dnl Defer setting _PATH_SUDO_NOEXEC until after exec_prefix is set
 dnl XXX - this is gross!
 dnl
-if test "$with_noexec" != "no"; then 
+if test "$with_noexec" != "no"; then
     PROGS="${PROGS} sudo_noexec.la"
     INSTALL_NOEXEC="install-noexec"
 
@@ -2222,7 +2216,75 @@ if test "$with_pam" = "yes"; then
 fi
 
 dnl
-dnl Special bits for autoheader   
+dnl Autoheader templates
+dnl
+AH_TEMPLATE(BROKEN_SYSLOG, [Define to 1 if the `syslog' function returns a non-zero int to denote failure.])
+AH_TEMPLATE(CLASSIC_INSULTS, [Define to 1 if you want the insults from the "classic" version sudo.])
+AH_TEMPLATE(CSOPS_INSULTS, [Define to 1 if you want insults culled from the twisted minds of CSOps.])
+AH_TEMPLATE(DONT_LEAK_PATH_INFO, [Define to 1 if you want sudo to display "command not allowed" instead of "command not found" when a command cannot be found.])
+AH_TEMPLATE(ENV_EDITOR, [Define to 1 if you want visudo to honor the EDITOR and VISUAL env variables.])
+AH_TEMPLATE(FQDN, [Define to 1 if you want to require fully qualified hosts in sudoers.])
+AH_TEMPLATE(GOONS_INSULTS, [Define to 1 if you want insults from the "Goon Show".])
+AH_TEMPLATE(HAL_INSULTS, [Define to 1 if you want 2001-like insults.])
+AH_TEMPLATE(HAVE_AFS, [Define to 1 if you use AFS.])
+AH_TEMPLATE(HAVE_AUTHENTICATE, [Define to 1 if you use AIX general authentication.])
+AH_TEMPLATE(HAVE_BSD_AUTH_H, [Define to 1 if you use BSD authentication.])
+AH_TEMPLATE(HAVE_DCE, [Define to 1 if you use OSF DCE.])
+AH_TEMPLATE(HAVE_DD_FD, [Define to 1 if your `DIR' contains dd_fd.])
+AH_TEMPLATE(HAVE_DIRFD, [Define to 1 if you have the `dirfd' function or macro.])
+AH_TEMPLATE(HAVE_FNMATCH, [Define to 1 if you have the `fnmatch' function.])
+AH_TEMPLATE(HAVE_FWTK, [Define to 1 if you use the FWTK authsrv daemon.])
+AH_TEMPLATE(HAVE_GETAUTHUID, [Define to 1 if you have the `getauthuid' function. (ULTRIX 4.x  shadow passwords)])
+AH_TEMPLATE(HAVE_GETPRPWNAM, [Define to 1 if you have the `getprpwnam' function.  (SecureWare-style shadow passwords)])
+AH_TEMPLATE(HAVE_GETPWANAM, [Define to 1 if you have the `getpwanam' function. (SunOS 4.x shadow passwords)])
+AH_TEMPLATE(HAVE_GETSPNAM, [Define to 1 if you have the `getspnam' function (SVR4-style shadow passwords)])
+AH_TEMPLATE(HAVE_GETSPWUID, [Define to 1 if you have the `getspwuid' function. (HP-UX <= 9.X shadow passwords)])
+AH_TEMPLATE(HAVE_HEIMDAL, [Define to 1 if your Kerberos is Heimdal.])
+AH_TEMPLATE(HAVE_ISCOMSEC, [Define to 1 if you have the `iscomsec' function. (HP-UX >= 10.x check for shadow enabled)])
+AH_TEMPLATE(HAVE_ISSECURE, [Define to 1 if you have the `issecure' function. (SunOS 4.x check for shadow enabled)])
+AH_TEMPLATE(HAVE_KERB4, [Define to 1 if you use Kerberos IV.])
+AH_TEMPLATE(HAVE_KERB5, [Define to 1 if you use Kerberos V.])
+AH_TEMPLATE(HAVE_LBER_H, [Define to 1 if your LDAP needs <lber.h>. (OpenLDAP does not)])
+AH_TEMPLATE(HAVE_LDAP, [Define to 1 if you use LDAP for sudoers.])
+AH_TEMPLATE(HAVE_OPIE, [Define to 1 if you use NRL OPIE.])
+AH_TEMPLATE(HAVE_PAM, [Define to 1 if you use PAM authentication.])
+AH_TEMPLATE(HAVE_SECURID, [Define to 1 if you use SecurID for authentication.])
+AH_TEMPLATE(HAVE_SIA, [Define to 1 if you use SIA authentication.])
+AH_TEMPLATE(HAVE_SIGACTION_T, [Define to 1 if <signal.h> has the sigaction_t typedef.])
+AH_TEMPLATE(HAVE_SKEY, [Define to 1 if you use S/Key.])
+AH_TEMPLATE(HAVE_SKEYACCESS, [Define to 1 if your S/Key library has skeyaccess().])
+AH_TEMPLATE(HAVE_ST_MTIM, [Define to 1 if your struct stat has an st_mtim member])
+AH_TEMPLATE(HAVE_ST_MTIMESPEC, [Define to 1 if your struct stat has an st_mtimespec member])
+AH_TEMPLATE(HAVE_TERMIOS_H, [Define to 1 if you have the <termios.h> header file and the `tcgetattr' function.])
+AH_TEMPLATE(HAVE_TIMESPEC, [Define to 1 if you have struct timespec in sys/time.h])
+AH_TEMPLATE(HAVE___PROGNAME, [Define to 1 if your crt0.o defines the __progname symbol for you.])
+AH_TEMPLATE(HOST_IN_LOG, [Define to 1 if you want the hostname to be entered into the log file.])
+AH_TEMPLATE(IGNORE_DOT_PATH, [Define to 1 if you want to ignore '.' and empty PATH elements])
+AH_TEMPLATE(LOGGING, [Define to SLOG_SYSLOG, SLOG_FILE, or SLOG_BOTH.])
+AH_TEMPLATE(LONG_OTP_PROMPT, [Define to 1 if you want a two line OTP (S/Key or OPIE) prompt.])
+AH_TEMPLATE(NO_AUTHENTICATION, [Define to 1 if you don't want sudo to prompt for a password by default.])
+AH_TEMPLATE(NO_LECTURE, [Define to 1 if you don't want users to get the lecture the first they user sudo.])
+AH_TEMPLATE(NO_ROOT_MAILER, [Define to avoid runing the mailer as root.])
+AH_TEMPLATE(NO_ROOT_SUDO, [Define to 1 if root should not be allowed to use sudo.])
+AH_TEMPLATE(NO_SAVED_IDS, [Define to avoid using POSIX saved ids.])
+AH_TEMPLATE(PC_INSULTS, [Define to 1 to replace politically incorrect insults with less offensive ones.])
+AH_TEMPLATE(SECURE_PATH, [Define to 1 to override the user's path with a built-in one.])
+AH_TEMPLATE(SEND_MAIL_WHEN_NOT_OK, [Define to 1 to send mail when the user is not allowed to run a command.])
+AH_TEMPLATE(SEND_MAIL_WHEN_NO_HOST, [Define to 1 to send mail when the user is not allowed to run sudo on this host.])
+AH_TEMPLATE(SEND_MAIL_WHEN_NO_USER, [Define to 1 to send mail when the user is not in the sudoers file.])
+AH_TEMPLATE(SHELL_IF_NO_ARGS, [Define to 1 if you want sudo to start a shell if given no arguments.])
+AH_TEMPLATE(SHELL_SETS_HOME, [Define to 1 if you want sudo to set $HOME in shell mode.])
+AH_TEMPLATE(STUB_LOAD_INTERFACES, [Define to 1 if the code in interfaces.c does not compile for you.])
+AH_TEMPLATE(USE_EXECV, [Define to 1 if you wish to use execv() instead of execvp() when running programs.])
+AH_TEMPLATE(USE_INSULTS, [Define to 1 if you want to insult the user for entering an incorrect password.])
+AH_TEMPLATE(USE_STOW, [Define to 1 if you use GNU stow packaging.])
+AH_TEMPLATE(USE_TTY_TICKETS, [Define to 1 if you want a different ticket file for each tty.])
+AH_TEMPLATE(WITHOUT_PASSWD, [Define to avoid using the passwd/shadow file for authentication.])
+AH_TEMPLATE(WITHOUT_PASSWD, [Define to avoid using the passwd/shadow file for authentication.])
+AH_TEMPLATE(sig_atomic_t, [Define to `int' if <signal.h> does not define.])
+
+dnl
+dnl Bits to copy verbatim into config.h.in
 dnl
 AH_VERBATIM([_GNU_SOURCE],
 [/* Enable GNU extensions on systems that have them. */